package fwadmin;

/*

  JFwadmin v 0.8

  Copyright (C) 1999-2000 Mickael Feledyn
  		     mickael.feledyn@cybergal.com

  This application is free software; you can redistribute it and/or
  modify it under the terms of the GNU Genereal Public License as
  published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  This application is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

*/

import javax.swing.*;
 
public class IPNetDialog extends JDialog
{
	IPAddress ipaddr;
	IPMask netmask;
	JCheckBox sourceComponent;
	private JButton ivjcancelJButton = null;
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private JPanel ivjJDialogContentPane = null;
	private JLabel ivjJLabel1 = null;
	private JLabel ivjJLabel2 = null;
	private JButton ivjokJButton = null;
	private JTextField ivjipaddressJTextField = null;
	private JComboBox ivjnetmaskJComboBox = null;

class IvjEventHandler implements java.awt.event.ActionListener, java.awt.event.WindowListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == IPNetDialog.this.getcancelJButton()) 
				connEtoC1(e);
			if (e.getSource() == IPNetDialog.this.getokJButton()) 
				connEtoC2(e);
		};
		public void windowActivated(java.awt.event.WindowEvent e) {};
		public void windowClosed(java.awt.event.WindowEvent e) {};
		public void windowClosing(java.awt.event.WindowEvent e) {
			if (e.getSource() == IPNetDialog.this) 
				connEtoC3(e);
		};
		public void windowDeactivated(java.awt.event.WindowEvent e) {};
		public void windowDeiconified(java.awt.event.WindowEvent e) {};
		public void windowIconified(java.awt.event.WindowEvent e) {};
		public void windowOpened(java.awt.event.WindowEvent e) {};
	};
/**
 * Constructor
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public IPNetDialog() {
	super();
	initialize();
}
public IPNetDialog(java.awt.Dialog owner, String title, boolean modal) {
	super(owner, title, modal);
	initialize();
}
/**
 * IPNetDialog constructor comment.
 * @param owner java.awt.Dialog
 * @param title java.lang.String
 * @param modal boolean
 */
public IPNetDialog(java.awt.Dialog owner, String title, boolean modal, IPAddress ipa, IPMask ipm, JCheckBox chkb)
{
	super(owner, title, modal);
	initialize();

	ipaddr = ipa;
	netmask = ipm;
	sourceComponent = chkb;
}
/**
 * Comment
 */
public void cancelJButton_ActionPerformed(java.awt.event.ActionEvent actionEvent)
{
	sourceComponent.setSelected(false);
	dispose();
}
/**
 * connEtoC1:  (cancelJButton.action.actionPerformed(java.awt.event.ActionEvent) --> IPNetDialog.cancelJButton_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.cancelJButton_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC2:  (okJButton.action.actionPerformed(java.awt.event.ActionEvent) --> IPNetDialog.okJButton_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC2(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.okJButton_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC3:  (IPNetDialog.window.windowClosing(java.awt.event.WindowEvent) --> IPNetDialog.cancelJButton_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC3(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.cancelJButton_ActionPerformed(null);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Return the cancelJButton property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getcancelJButton() {
	if (ivjcancelJButton == null) {
		try {
			ivjcancelJButton = new javax.swing.JButton();
			ivjcancelJButton.setName("cancelJButton");
			ivjcancelJButton.setText("Cancel");
			ivjcancelJButton.setBounds(128, 162, 85, 27);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjcancelJButton;
}
/**
 * Return the JTextField1 property value.
 * @return javax.swing.JTextField
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JTextField getipaddressJTextField() {
	if (ivjipaddressJTextField == null) {
		try {
			ivjipaddressJTextField = new javax.swing.JTextField();
			ivjipaddressJTextField.setName("ipaddressJTextField");
			ivjipaddressJTextField.setBounds(13, 39, 217, 25);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjipaddressJTextField;
}
/**
 * Return the JDialogContentPane property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJDialogContentPane() {
	if (ivjJDialogContentPane == null) {
		try {
			ivjJDialogContentPane = new javax.swing.JPanel();
			ivjJDialogContentPane.setName("JDialogContentPane");
			ivjJDialogContentPane.setLayout(null);
			getJDialogContentPane().add(getJLabel1(), getJLabel1().getName());
			getJDialogContentPane().add(getipaddressJTextField(), getipaddressJTextField().getName());
			getJDialogContentPane().add(getJLabel2(), getJLabel2().getName());
			getJDialogContentPane().add(getnetmaskJComboBox(), getnetmaskJComboBox().getName());
			getJDialogContentPane().add(getokJButton(), getokJButton().getName());
			getJDialogContentPane().add(getcancelJButton(), getcancelJButton().getName());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJDialogContentPane;
}
/**
 * Return the JLabel1 property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getJLabel1() {
	if (ivjJLabel1 == null) {
		try {
			ivjJLabel1 = new javax.swing.JLabel();
			ivjJLabel1.setName("JLabel1");
			ivjJLabel1.setText("IP address");
			ivjJLabel1.setBounds(14, 12, 178, 24);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJLabel1;
}
/**
 * Return the JLabel2 property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getJLabel2() {
	if (ivjJLabel2 == null) {
		try {
			ivjJLabel2 = new javax.swing.JLabel();
			ivjJLabel2.setName("JLabel2");
			ivjJLabel2.setText("Network mask");
			ivjJLabel2.setBounds(13, 74, 176, 22);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJLabel2;
}
/**
 * Return the JComboBox1 property value.
 * @return javax.swing.JComboBox
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JComboBox getnetmaskJComboBox() {
	if (ivjnetmaskJComboBox == null) {
		try {
			ivjnetmaskJComboBox = new javax.swing.JComboBox();
			ivjnetmaskJComboBox.setName("netmaskJComboBox");
			ivjnetmaskJComboBox.setBounds(13, 101, 217, 26);
			ivjnetmaskJComboBox.setEditable(true);
			// user code begin {1}
			ivjnetmaskJComboBox.addItem("255.255.255.255");
			ivjnetmaskJComboBox.addItem("255.255.255.0");
			ivjnetmaskJComboBox.addItem("255.255.0.0");
			ivjnetmaskJComboBox.addItem("255.0.0.0");
			ivjnetmaskJComboBox.addItem("0.0.0.0");
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjnetmaskJComboBox;
}
/**
 * Return the okJButton property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getokJButton() {
	if (ivjokJButton == null) {
		try {
			ivjokJButton = new javax.swing.JButton();
			ivjokJButton.setName("okJButton");
			ivjokJButton.setText("OK");
			ivjokJButton.setBounds(22, 162, 85, 27);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjokJButton;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(java.lang.Throwable exception) {

	/* Uncomment the following lines to print uncaught exceptions to stdout */
	// System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Initializes connections
 * @exception java.lang.Exception The exception description.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initConnections() throws java.lang.Exception {
	// user code begin {1}
	// user code end
	getcancelJButton().addActionListener(ivjEventHandler);
	getokJButton().addActionListener(ivjEventHandler);
	this.addWindowListener(ivjEventHandler);
}
/**
 * Initialize the class.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initialize() {
	try {
		// user code begin {1}
		// user code end
		setName("IPNetDialog");
		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
		setSize(245, 209);
		setContentPane(getJDialogContentPane());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	// user code end
}
/**
 * Comment
 */
public void okJButton_ActionPerformed(java.awt.event.ActionEvent actionEvent)
{
	try
	{
		ipaddr.fromString(getipaddressJTextField().getText());
		netmask.fromString((String)getnetmaskJComboBox().getSelectedItem());
	}
	catch(Exception e)
	{
		JOptionPane.showMessageDialog(this, "Please verify your inputs", "Errors in parameters", JOptionPane.WARNING_MESSAGE);
		return;
	}
	dispose();
}
}
