package fwadmin;

/*

  JFwadmin v 0.8

  Copyright (C) 1999-2000 Mickael Feledyn
  		     mickael.feledyn@cybergal.com

  This application is free software; you can redistribute it and/or
  modify it under the terms of the GNU Genereal Public License as
  published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  This application is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

*/

public class IPAddress
{
  private long m_address;

  public IPAddress()
  {
	m_address = 0L;
  }    
  public IPAddress(long address)
  {
	m_address = address;
  }  
  public boolean equals(IPAddress other)
  {
	return getLong() == other.getLong();
  }  
  public void fromString(String ipAddr) throws Exception
  {
	  java.util.StringTokenizer st = new java.util.StringTokenizer(ipAddr, ".");
	  long lip = 0L;
	  for (int i=0; i < 4; i++)
	  {
		  lip *= 256;
		  lip += Integer.parseInt(st.nextToken());
	  }
	  m_address = lip;
  }      
  public long getLong()
  {
	return m_address;
  }  
  public String toString()
  {
	  String res = ("" + (m_address / (256*256*256)) % 256 + ".");
	  res += ("" + (m_address / (256*256)) % 256 + ".");
	  res += ("" + (m_address / (256)) % 256 + ".");
	  res += ("" + (m_address) % 256);
	return res;
  }  
}
