package fwadmin;

/*

  JFwadmin v 0.8

  Copyright (C) 1999-2000 Mickael Feledyn
  		     mickael.feledyn@cybergal.com

  This application is free software; you can redistribute it and/or
  modify it under the terms of the GNU Genereal Public License as
  published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  This application is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

*/

import java.util.Vector;

public class InputService extends Service
{
  protected static Vector inputServicesVector = new Vector();

  public InputService(InputRule ir, OutputRule or)
  {
	super(ir, or);
  }  
  public InputService(InputRule ir, OutputRule or, String comment)
  {
	super(ir, or, comment);
  }  
  public static void removeInputService(InputService is)
  {
	inputServicesVector.remove(is);
	InputRule.inputRulesVector.remove(is.m_ir);
	if (is.m_ir.m_isApplied) InputRule.removedRules = true;
	OutputRule.outputRulesVector.remove(is.m_or);
	if (is.m_or.m_isApplied) OutputRule.removedRules = true;
  }  
  public static void reset()
  {
	for (int i=0; i < inputServicesVector.size(); i++)
	{
	  InputService is = (InputService)inputServicesVector.elementAt(i);
	  removeInputService(is);
	}
	inputServicesVector.removeAllElements();
  }  
}
