package fwadmin;

/*

  JFwadmin v 0.8

  Copyright (C) 1999-2000 Mickael Feledyn
  		     mickael.feledyn@cybergal.com

  This application is free software; you can redistribute it and/or
  modify it under the terms of the GNU Genereal Public License as
  published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  This application is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.Vector;
import java.io.*;
import javax.swing.filechooser.*;
import javax.swing.border.*;


public class JFwadmin extends JFrame
{
  private static java.util.ResourceBundle resJFwadmin;
  
  protected static Vector updateWindowVector = new Vector();
  private static JFwadmin m_instance;
  private AddInputServiceDialog m_AddInputServiceDialog = null;
  private AddOutputServiceDialog m_AddOutputServiceDialog = null;
	private AddPortForwardingRuleDialog m_AddPortForwardingRuleDialog = null;
  private AddForwardServiceDialog m_AddForwardServiceDialog = null;
  private AddAntiSpoofingServiceDialog m_AddAntiSpoofingServiceDialog = null;
  private AddLogDeniedPacketsServiceDialog m_AddLogDeniedPacketsServiceDialog = null;
	private JMenuItem ivjAbout_BoxMenuItem = null;
	private JMenuItem ivjApply_changesMenuItem = null;
	IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private JMenuItem ivjExitMenuItem = null;
	private JMenu ivjFileMenu = null;
	private JMenu ivjForward_policyMenuItem = null;
	private JMenuBar ivjFwadminJMenuBar = null;
	private JMenu ivjHelpMenu = null;
	private JPanel ivjJFrameContentPane = null;
	private JSeparator ivjJSeparator1 = null;
	private JSeparator ivjJSeparator2 = null;
	private JSeparator ivjJSeparator3 = null;
	private JSeparator ivjJSeparator4 = null;
	private JSeparator ivjJSeparator5 = null;
	private JSeparator ivjJSeparator6 = null;
	private JMenuItem ivjNew_anti_spoofing_serviceMenuItem = null;
	private JMenuItem ivjNew_forward_serviceMenuItem = null;
	private JMenuItem ivjNew_input_serviceMenuItem = null;
	private JMenuItem ivjNew_log_denied_packets_serviceMenuItem = null;
	private JMenuItem ivjNew_output_serviceMenuItem = null;
	private JMenu ivjOutput_policyMenuItem = null;
	private JMenu ivjPoliciesMenu = null;
	private JMenuItem ivjRefresh_data_from_systemMenuItem = null;
	private JMenuItem ivjReset_firewall_to_ACCEPTMenuItem = null;
	private JMenuItem ivjReset_firewall_to_DENYMenuItem = null;
	private JMenuItem ivjRestore_firewallMenuItem = null;
	private JMenuItem ivjSave_boot_scriptMenuItem = null;
	private JMenuItem ivjSave_firewallMenuItem = null;
	private JMenu ivjServicesMenu = null;
	private JPanel ivjStatusBarPane = null;
	private JLabel ivjStatusMsg1 = null;
	private JLabel ivjStatusMsg2 = null;
	private JToolBar ivjToolBarPane = null;
	private JMenuItem ivjForwardDefaultToDeny = null;
	private JMenuItem ivjForwardInputDefaultToAccept = null;
	private JMenuItem ivjInputDefaultToAccept = null;
	private JMenuItem ivjInputDefaultToDeny = null;
	private JMenu ivjInputPolicy = null;
	private JMenuItem ivjOutputDefaultToAccept = null;
	private JMenuItem ivjOutputDefaultToDeny = null;
	private JButton ivjApplyChanges = null;
	private JButton ivjExit = null;
	private JButton ivjRefreshDataFromSystem = null;
	private JButton ivjRestoreFirewall = null;
	private JButton ivjSaveBootScript = null;
	private JButton ivjSaveFirewall = null;
	private JFrame ivjInputServicesJFrame = null;
	private JPanel ivjJFrameContentPane1 = null;
	private JCheckBoxMenuItem ivjInputServicesJCheckBox = null;
	private JCheckBoxMenuItem ivjForwardServicesJCheckBox = null;
	private JFrame ivjForwardServicesJFrame = null;
	private JPanel ivjJFrameContentPane11 = null;
	private JPanel ivjJFrameContentPane2 = null;
	private JCheckBoxMenuItem ivjOutputServicesJCheckBox = null;
	private JFrame ivjOutputServicesJFrame = null;
	private JMenu ivjWindowsJMenu = null;
	private JCheckBoxMenuItem ivjDefaultPoliciesJCheckBoxMenuItem = null;
	private JFrame ivjDefaultPoliciesJFrame = null;
	private JPanel ivjJFrameContentPane3 = null;
	private JPanel ivjJFrameContentPane4 = null;
	private JCheckBoxMenuItem ivjMiscRulesJCheckBoxMenuItem = null;
	private JFrame ivjMiscRulesJFrame = null;
	public static java.awt.Font m_font;
	private JMenuItem ivjJMenuItemDisplayAllWindows = null;
	private JSeparator ivjJSeparator7 = null;
	private JMenuItem ivjJMenuItemDisplayZeroWindow = null;
	private JPanel ivjJFrameContentPane12 = null;
	private JCheckBoxMenuItem ivjMasqModulesJCheckBoxMenuItem = null;
	private JFrame ivjMasqModulesJFrame = null;
	private JPanel ivjJFrameContentPane121 = null;
	private JCheckBoxMenuItem ivjPortForwardingJCheckBoxMenuItem = null;
	private JFrame ivjPortForwardingJFrame = null;
	private JMenuItem ivjnewPortForwardRuleJMenuItem = null;

class IvjEventHandler implements java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.event.WindowListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == JFwadmin.this.getExitMenuItem()) 
				connEtoM1(e);
			if (e.getSource() == JFwadmin.this.getAbout_BoxMenuItem()) 
				connEtoC1(e);
			if (e.getSource() == JFwadmin.this.getRefresh_data_from_systemMenuItem()) 
				connEtoC2();
			if (e.getSource() == JFwadmin.this.getRestore_firewallMenuItem()) 
				connEtoC5();
			if (e.getSource() == JFwadmin.this.getSave_firewallMenuItem()) 
				connEtoC6();
			if (e.getSource() == JFwadmin.this.getApply_changesMenuItem()) 
				connEtoC7();
			if (e.getSource() == JFwadmin.this.getSave_boot_scriptMenuItem()) 
				connEtoC8();
			if (e.getSource() == JFwadmin.this.getInputDefaultToDeny()) 
				connEtoC3();
			if (e.getSource() == JFwadmin.this.getInputDefaultToAccept()) 
				connEtoC4();
			if (e.getSource() == JFwadmin.this.getOutputDefaultToDeny()) 
				connEtoC9();
			if (e.getSource() == JFwadmin.this.getOutputDefaultToAccept()) 
				connEtoC10();
			if (e.getSource() == JFwadmin.this.getForwardDefaultToDeny()) 
				connEtoC11();
			if (e.getSource() == JFwadmin.this.getForwardInputDefaultToAccept()) 
				connEtoC12();
			if (e.getSource() == JFwadmin.this.getReset_firewall_to_ACCEPTMenuItem()) 
				connEtoC13();
			if (e.getSource() == JFwadmin.this.getReset_firewall_to_DENYMenuItem()) 
				connEtoC14();
			if (e.getSource() == JFwadmin.this.getNew_input_serviceMenuItem()) 
				connEtoC15();
			if (e.getSource() == JFwadmin.this.getNew_output_serviceMenuItem()) 
				connEtoC16();
			if (e.getSource() == JFwadmin.this.getNew_forward_serviceMenuItem()) 
				connEtoC17();
			if (e.getSource() == JFwadmin.this.getNew_anti_spoofing_serviceMenuItem()) 
				connEtoC18();
			if (e.getSource() == JFwadmin.this.getNew_log_denied_packets_serviceMenuItem()) 
				connEtoC19(e);
			if (e.getSource() == JFwadmin.this.getExit()) 
				connEtoM2(e);
			if (e.getSource() == JFwadmin.this.getSaveBootScript()) 
				connEtoC23(e);
			if (e.getSource() == JFwadmin.this.getRestoreFirewall()) 
				connEtoC24(e);
			if (e.getSource() == JFwadmin.this.getSaveFirewall()) 
				connEtoC25(e);
			if (e.getSource() == JFwadmin.this.getApplyChanges()) 
				connEtoC26(e);
			if (e.getSource() == JFwadmin.this.getRefreshDataFromSystem()) 
				connEtoC27(e);
			if (e.getSource() == JFwadmin.this.getJMenuItemDisplayAllWindows()) 
				connEtoC30(e);
			if (e.getSource() == JFwadmin.this.getJMenuItemDisplayZeroWindow()) 
				connEtoC31(e);
			if (e.getSource() == JFwadmin.this.getnewPortForwardRuleJMenuItem()) 
				connEtoC42(e);
		};
		public void itemStateChanged(java.awt.event.ItemEvent e) {
			if (e.getSource() == JFwadmin.this.getOutputServicesJCheckBox()) 
				connEtoC21(e);
			if (e.getSource() == JFwadmin.this.getForwardServicesJCheckBox()) 
				connEtoC22(e);
			if (e.getSource() == JFwadmin.this.getInputServicesJCheckBox()) 
				connEtoC20(e);
			if (e.getSource() == JFwadmin.this.getMiscRulesJCheckBoxMenuItem()) 
				connEtoC28(e);
			if (e.getSource() == JFwadmin.this.getDefaultPoliciesJCheckBoxMenuItem()) 
				connEtoC29(e);
			if (e.getSource() == JFwadmin.this.getMasqModulesJCheckBoxMenuItem()) 
				connEtoC37(e);
			if (e.getSource() == JFwadmin.this.getPortForwardingJCheckBoxMenuItem()) 
				connEtoC39(e);
			if (e.getSource() == JFwadmin.this.getPortForwardingJCheckBoxMenuItem()) 
				connEtoC41(e);
		};
		public void windowActivated(java.awt.event.WindowEvent e) {};
		public void windowClosed(java.awt.event.WindowEvent e) {};
		public void windowClosing(java.awt.event.WindowEvent e) {
			if (e.getSource() == JFwadmin.this.getInputServicesJFrame()) 
				connEtoC32(e);
			if (e.getSource() == JFwadmin.this.getDefaultPoliciesJFrame()) 
				connEtoC33(e);
			if (e.getSource() == JFwadmin.this.getForwardServicesJFrame()) 
				connEtoC34(e);
			if (e.getSource() == JFwadmin.this.getOutputServicesJFrame()) 
				connEtoC35(e);
			if (e.getSource() == JFwadmin.this.getMiscRulesJFrame()) 
				connEtoC36(e);
			if (e.getSource() == JFwadmin.this.getMasqModulesJFrame()) 
				connEtoC38(e);
			if (e.getSource() == JFwadmin.this.getPortForwardingJFrame()) 
				connEtoC40(e);
		};
		public void windowDeactivated(java.awt.event.WindowEvent e) {};
		public void windowDeiconified(java.awt.event.WindowEvent e) {};
		public void windowIconified(java.awt.event.WindowEvent e) {};
		public void windowOpened(java.awt.event.WindowEvent e) {};
	};
/**
 * Fwadmin constructor comment.
 */
public JFwadmin() {
	super();
	initialize();
}
/**
 * Comment
 */
public void apply_changesMenuItem_ActionEvents()
{
	try
	{
	  Linux22.applyConfiguration();
	}
	catch(Exception e3)
	{
	  JOptionPane.showMessageDialog(this, "There was an error", "Error", JOptionPane.ERROR_MESSAGE);
	}
	makeChangesApplied();
	// This question is commented out, cause i always say yes...
	//int res = JOptionPane.showConfirmDialog(this, "Do you want to refresh data from system now ?", "Question - hint : say yes :)", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
	//if (res == JOptionPane.NO_OPTION) return;
	refreshDataFromSystem();
}
public boolean changesAreNotApplied()
{
  if (DefaultPolicy.defaultInputNotApplied) return true;
  if (DefaultPolicy.defaultOutputNotApplied) return true;
  if (DefaultPolicy.defaultForwardNotApplied) return true;

  if (InputRule.changesAreNotApplied()) return true;
  if (OutputRule.changesAreNotApplied()) return true;
  if (ForwardRule.changesAreNotApplied()) return true;
  if (InputOutputRule.changesAreNotApplied()) return true;
  if (MasqModule.changesAreNotApplied()) return true;
  if (PortForwardRule.changesAreNotApplied()) return true;

  return false;
}
/**
 * connEtoC1:  (About_BoxMenuItem.action.actionPerformed(java.awt.event.ActionEvent) --> Fwadmin.showAboutBox()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.showAboutBox();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC10:  (OutputDefaultToAccept.action. --> JFwadmin.outputDefaultToAccept_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC10() {
	try {
		// user code begin {1}
		// user code end
		this.outputDefaultToAccept_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC11:  (ForwardDefaultToDeny.action. --> JFwadmin.forwardDefaultToDeny_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC11() {
	try {
		// user code begin {1}
		// user code end
		this.forwardDefaultToDeny_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC12:  (ForwardInputDefaultToAccept.action. --> JFwadmin.forwardInputDefaultToAccept_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC12() {
	try {
		// user code begin {1}
		// user code end
		this.forwardDefaultToAccept_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC13:  (Reset_firewall_to_ACCEPTMenuItem.action. --> JFwadmin.reset_firewall_to_ACCEPTMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC13() {
	try {
		// user code begin {1}
		// user code end
		this.reset_firewall_to_ACCEPTMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC14:  (Reset_firewall_to_DENYMenuItem.action. --> JFwadmin.reset_firewall_to_DENYMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC14() {
	try {
		// user code begin {1}
		// user code end
		this.reset_firewall_to_DENYMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC15:  (New_input_serviceMenuItem.action. --> JFwadmin.new_input_serviceMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC15() {
	try {
		// user code begin {1}
		// user code end
		this.new_input_serviceMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC16:  (New_output_serviceMenuItem.action. --> JFwadmin.new_output_serviceMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC16() {
	try {
		// user code begin {1}
		// user code end
		this.new_output_serviceMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC17:  (New_forward_serviceMenuItem.action. --> JFwadmin.new_forward_serviceMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC17() {
	try {
		// user code begin {1}
		// user code end
		this.new_forward_serviceMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC18:  (New_anti_spoofing_serviceMenuItem.action. --> JFwadmin.new_anti_spoofing_serviceMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC18() {
	try {
		// user code begin {1}
		// user code end
		this.new_anti_spoofing_serviceMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC19:  (New_log_denied_packets_serviceMenuItem.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.new_log_denied_packets_serviceMenuItem_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC19(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.new_log_denied_packets_serviceMenuItem_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC2:  (Refresh_data_from_systemMenuItem.action. --> JFwadmin.refresh_data_from_systemMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC2() {
	try {
		// user code begin {1}
		// user code end
		this.refresh_data_from_systemMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC20:  (InputServicesJCheckBox.item.itemStateChanged(java.awt.event.ItemEvent) --> JFwadmin.inputServicesJCheckBox_ItemStateChanged(Ljava.awt.event.ItemEvent;)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC20(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.inputServicesJCheckBox_ItemStateChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC21:  (OutputServicesJCheckBox.item.itemStateChanged(java.awt.event.ItemEvent) --> JFwadmin.outputServicesJCheckBox_ItemStateChanged(Ljava.awt.event.ItemEvent;)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC21(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.outputServicesJCheckBox_ItemStateChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC22:  (ForwardServicesJCheckBox.item.itemStateChanged(java.awt.event.ItemEvent) --> JFwadmin.forwardServicesJCheckBox_ItemStateChanged(Ljava.awt.event.ItemEvent;)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC22(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.forwardServicesJCheckBox_ItemStateChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC23:  (SaveBootScript.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.save_boot_scriptMenuItem_ActionEvents()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC23(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.save_boot_scriptMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC24:  (RestoreFirewall.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.restore_firewallMenuItem_ActionEvents()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC24(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.restore_firewallMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC25:  (SaveFirewall.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.save_firewallMenuItem_ActionEvents()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC25(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.save_firewallMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC26:  (ApplyChanges.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.apply_changesMenuItem_ActionEvents()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC26(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.apply_changesMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC27:  (RefreshDataFromSystem.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.refresh_data_from_systemMenuItem_ActionEvents()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC27(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.refresh_data_from_systemMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC28:  (MiscRulesJCheckBoxMenuItem.item.itemStateChanged(java.awt.event.ItemEvent) --> JFwadmin.miscRulesJCheckBoxMenuItem_ItemStateChanged(Ljava.awt.event.ItemEvent;)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC28(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.miscRulesJCheckBoxMenuItem_ItemStateChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC29:  (DefaultPoliciesJCheckBoxMenuItem.item.itemStateChanged(java.awt.event.ItemEvent) --> JFwadmin.defaultPoliciesJCheckBoxMenuItem_ItemStateChanged(Ljava.awt.event.ItemEvent;)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC29(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.defaultPoliciesJCheckBoxMenuItem_ItemStateChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC3:  (InputDefaultToDeny.action. --> JFwadmin.inputDefaultToDeny_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC3() {
	try {
		// user code begin {1}
		// user code end
		this.inputDefaultToDeny_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC30:  (JMenuItemDisplayAllWindows.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.jMenuItemDisplayAllWindows_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC30(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.jMenuItemDisplayAllWindows_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC31:  (JMenuItemDisplayZeroWindow.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.jMenuItemDisplayZeroWindow_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC31(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.jMenuItemDisplayZeroWindow_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC32:  (InputServicesJFrame.window.windowClosing(java.awt.event.WindowEvent) --> JFwadmin.inputServicesJFrame_WindowClosing(Ljava.awt.event.WindowEvent;)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC32(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.inputServicesJFrame_WindowClosing(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC33:  (DefaultPoliciesJFrame.window.windowClosing(java.awt.event.WindowEvent) --> JFwadmin.defaultPoliciesJFrame_WindowClosing(Ljava.awt.event.WindowEvent;)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC33(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.defaultPoliciesJFrame_WindowClosing(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC34:  (ForwardServicesJFrame.window.windowClosing(java.awt.event.WindowEvent) --> JFwadmin.forwardServicesJFrame_WindowClosing(Ljava.awt.event.WindowEvent;)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC34(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.forwardServicesJFrame_WindowClosing(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC35:  (OutputServicesJFrame.window.windowClosing(java.awt.event.WindowEvent) --> JFwadmin.outputServicesJFrame_WindowClosing(Ljava.awt.event.WindowEvent;)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC35(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.outputServicesJFrame_WindowClosing(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC36:  (MiscRulesJFrame.window.windowClosing(java.awt.event.WindowEvent) --> JFwadmin.miscRulesJFrame_WindowClosing(Ljava.awt.event.WindowEvent;)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC36(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.miscRulesJFrame_WindowClosing(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC37:  (MasqModulesJCheckBoxMenuItem.item.itemStateChanged(java.awt.event.ItemEvent) --> JFwadmin.masqModulesJCheckBoxMenuItem_ItemStateChanged(Ljava.awt.event.ItemEvent;)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC37(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.masqModulesJCheckBoxMenuItem_ItemStateChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC38:  (MasqModulesJFrame.window.windowClosing(java.awt.event.WindowEvent) --> JFwadmin.masqModulesJFrame_WindowClosing(Ljava.awt.event.WindowEvent;)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC38(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.masqModulesJFrame_WindowClosing(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC39:  (PortForwardingJCheckBoxMenuItem.item.itemStateChanged(java.awt.event.ItemEvent) --> JFwadmin.portForwardingJCheckBoxMenuItem_ItemStateChanged(Ljava.awt.event.ItemEvent;)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC39(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.portForwardingJCheckBoxMenuItem_ItemStateChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC4:  (InputDefaultToAccept.action. --> JFwadmin.inputDefaultToAccept_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC4() {
	try {
		// user code begin {1}
		// user code end
		this.inputDefaultToAccept_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC40:  (PortForwardingJFrame.window.windowClosing(java.awt.event.WindowEvent) --> JFwadmin.portForwardingJFrame_WindowClosing(Ljava.awt.event.WindowEvent;)V)
 * @param arg1 java.awt.event.WindowEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC40(java.awt.event.WindowEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.portForwardingJFrame_WindowClosing(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC41:  (PortForwardingJCheckBoxMenuItem.item.itemStateChanged(java.awt.event.ItemEvent) --> JFwadmin.portForwardingJCheckBoxMenuItem_ItemStateChanged(Ljava.awt.event.ItemEvent;)V)
 * @param arg1 java.awt.event.ItemEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC41(java.awt.event.ItemEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.portForwardingJCheckBoxMenuItem_ItemStateChanged(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC42:  (newPortForwardRuleJMenuItem.action.actionPerformed(java.awt.event.ActionEvent) --> JFwadmin.newPortForwardRuleJMenuItem_ActionPerformed(Ljava.awt.event.ActionEvent;)V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC42(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		// user code end
		this.newPortForwardRuleJMenuItem_ActionPerformed(arg1);
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC5:  (Restore_firewallMenuItem.action. --> JFwadmin.restore_firewallMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC5() {
	try {
		// user code begin {1}
		// user code end
		this.restore_firewallMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC6:  (Save_firewallMenuItem.action. --> JFwadmin.save_firewallMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC6() {
	try {
		// user code begin {1}
		// user code end
		this.save_firewallMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC7:  (Apply_changesMenuItem.action. --> JFwadmin.apply_changesMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC7() {
	try {
		// user code begin {1}
		// user code end
		this.apply_changesMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC8:  (Save_boot_scriptMenuItem.action. --> JFwadmin.save_boot_scriptMenuItem_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC8() {
	try {
		// user code begin {1}
		// user code end
		this.save_boot_scriptMenuItem_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoC9:  (OutputDefaultToDeny.action. --> JFwadmin.outputDefaultToDeny_ActionEvents()V)
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoC9() {
	try {
		// user code begin {1}
		// user code end
		this.outputDefaultToDeny_ActionEvents();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM1:  (ExitMenuItem.action.actionPerformed(java.awt.event.ActionEvent) --> Fwadmin.dispose()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM1(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		if (changesAreNotApplied())
		{
		  int res = JOptionPane.showConfirmDialog(this, "Unapplied rules will be lost (you have some). Do you really want to exit ?", "Warning", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
		  if (res == JOptionPane.NO_OPTION) return;
		}
		// user code end
		this.dispose();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * connEtoM2:  (Exit.action.actionPerformed(java.awt.event.ActionEvent) --> Fwadmin.dispose()V)
 * @param arg1 java.awt.event.ActionEvent
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void connEtoM2(java.awt.event.ActionEvent arg1) {
	try {
		// user code begin {1}
		if (changesAreNotApplied())
		{
		  int res = JOptionPane.showConfirmDialog(this, "Unapplied rules will be lost (you have some). Do you really want to exit ?", "Warning", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
		  if (res == JOptionPane.NO_OPTION) return;
		}
		// user code end
		this.dispose();
		// user code begin {2}
		// user code end
	} catch (java.lang.Throwable ivjExc) {
		// user code begin {3}
		// user code end
		handleException(ivjExc);
	}
}
/**
 * Comment
 */
public void defaultPoliciesJCheckBoxMenuItem_ItemStateChanged(java.awt.event.ItemEvent itemEvent)
{
	getDefaultPoliciesJFrame().setVisible(getDefaultPoliciesJCheckBoxMenuItem().isSelected());
}
/**
 * Comment
 */
public void defaultPoliciesJFrame_WindowClosing(java.awt.event.WindowEvent windowEvent)
{
	JFwadmin.getInstance().getDefaultPoliciesJCheckBoxMenuItem().setSelected(false);
}
public void disablePortForwarding()
{
	getPortForwardingJCheckBoxMenuItem().setEnabled(false);
	getPortForwardingJCheckBoxMenuItem().removeItemListener(ivjEventHandler);
}
/**
 * Comment
 */
public void forwardDefaultToAccept_ActionEvents()
{
	DefaultPolicy.setForwardDefaultPolicy(DefaultPolicy.firewallAcceptPolicy);

	JFwadmin.getInstance().refreshPanels();
}
/**
 * Comment
 */
public void forwardDefaultToDeny_ActionEvents()
{
	DefaultPolicy.setForwardDefaultPolicy(DefaultPolicy.firewallDenyPolicy);

	JFwadmin.getInstance().refreshPanels();
}
/**
 * Comment
 */
public void forwardServicesJCheckBox_ItemStateChanged(java.awt.event.ItemEvent itemEvent)
{
	getForwardServicesJFrame().setVisible(getForwardServicesJCheckBox().isSelected());
}
/**
 * Comment
 */
public void forwardServicesJFrame_WindowClosing(java.awt.event.WindowEvent windowEvent)
{
	JFwadmin.getInstance().getForwardServicesJCheckBox().setSelected(false);
}
/**
 * Return the About_BoxMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getAbout_BoxMenuItem() {
	if (ivjAbout_BoxMenuItem == null) {
		try {
			ivjAbout_BoxMenuItem = new javax.swing.JMenuItem();
			ivjAbout_BoxMenuItem.setName("About_BoxMenuItem");
			ivjAbout_BoxMenuItem.setText("About Box");
			// user code begin {1}
			ivjAbout_BoxMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjAbout_BoxMenuItem;
}
public static String getApplicationName()
{
  return "JFwadmin";
}
public static String getApplicationVersion()
{
  return "0.8";
}
/**
 * Return the Apply_changesMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getApply_changesMenuItem() {
	if (ivjApply_changesMenuItem == null) {
		try {
			ivjApply_changesMenuItem = new javax.swing.JMenuItem();
			ivjApply_changesMenuItem.setName("Apply_changesMenuItem");
			ivjApply_changesMenuItem.setText("Apply changes");
			// user code begin {1}
			ivjApply_changesMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjApply_changesMenuItem;
}
/**
 * Return the RedoButton property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getApplyChanges() {
	if (ivjApplyChanges == null) {
		try {
			ivjApplyChanges = new javax.swing.JButton();
			ivjApplyChanges.setName("ApplyChanges");
			ivjApplyChanges.setToolTipText("Apply changes");
			ivjApplyChanges.setText("");
			ivjApplyChanges.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			ivjApplyChanges.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
			ivjApplyChanges.setRolloverEnabled(true);
			ivjApplyChanges.setMargin(new java.awt.Insets(0, 0, 0, 0));
			// user code begin {1}
			ivjApplyChanges.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon2.jpg")));
			ivjApplyChanges.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon2o.jpg")));
			ivjApplyChanges.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon2p.jpg")));
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjApplyChanges;
}
/**
 * Return the DefaultPoliciesJCheckBoxMenuItem property value.
 * @return javax.swing.JCheckBoxMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JCheckBoxMenuItem getDefaultPoliciesJCheckBoxMenuItem() {
	if (ivjDefaultPoliciesJCheckBoxMenuItem == null) {
		try {
			ivjDefaultPoliciesJCheckBoxMenuItem = new javax.swing.JCheckBoxMenuItem();
			ivjDefaultPoliciesJCheckBoxMenuItem.setName("DefaultPoliciesJCheckBoxMenuItem");
			ivjDefaultPoliciesJCheckBoxMenuItem.setToolTipText("Default policies frame");
			ivjDefaultPoliciesJCheckBoxMenuItem.setText("Default policies");
			// user code begin {1}
			ivjDefaultPoliciesJCheckBoxMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjDefaultPoliciesJCheckBoxMenuItem;
}
/**
 * Return the DefaultPoliciesJFrame property value.
 * @return javax.swing.JFrame
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JFrame getDefaultPoliciesJFrame() {
	if (ivjDefaultPoliciesJFrame == null) {
		try {
			ivjDefaultPoliciesJFrame = new javax.swing.JFrame();
			ivjDefaultPoliciesJFrame.setName("DefaultPoliciesJFrame");
			ivjDefaultPoliciesJFrame.setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
			ivjDefaultPoliciesJFrame.setBounds(21, 796, 519, 128);
			ivjDefaultPoliciesJFrame.setTitle("Default policies (packets rules)");
			getDefaultPoliciesJFrame().setContentPane(getJFrameContentPane4());
			// user code begin {1}
			ivjDefaultPoliciesJFrame.setLocation(0, 120);
			ivjDefaultPoliciesJFrame.setSize(200, 100);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjDefaultPoliciesJFrame;
}
/**
 * Return the Exit property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getExit() {
	if (ivjExit == null) {
		try {
			ivjExit = new javax.swing.JButton();
			ivjExit.setName("Exit");
			ivjExit.setToolTipText("Exit");
			ivjExit.setText("");
			ivjExit.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			ivjExit.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
			ivjExit.setRolloverEnabled(true);
			ivjExit.setMargin(new java.awt.Insets(0, 0, 0, 0));
			// user code begin {1}
			ivjExit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon6.jpg")));
			ivjExit.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon6o.jpg")));
			ivjExit.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon6p.jpg")));
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjExit;
}
/**
 * Return the ExitMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getExitMenuItem() {
	if (ivjExitMenuItem == null) {
		try {
			ivjExitMenuItem = new javax.swing.JMenuItem();
			ivjExitMenuItem.setName("ExitMenuItem");
			ivjExitMenuItem.setText("Exit");
			// user code begin {1}
			ivjExitMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjExitMenuItem;
}
/**
 * Return the FileMenu property value.
 * @return javax.swing.JMenu
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenu getFileMenu() {
	if (ivjFileMenu == null) {
		try {
			ivjFileMenu = new javax.swing.JMenu();
			ivjFileMenu.setName("FileMenu");
			ivjFileMenu.setText("File");
			ivjFileMenu.add(getRefresh_data_from_systemMenuItem());
			ivjFileMenu.add(getApply_changesMenuItem());
			ivjFileMenu.add(getJSeparator1());
			ivjFileMenu.add(getSave_firewallMenuItem());
			ivjFileMenu.add(getRestore_firewallMenuItem());
			ivjFileMenu.add(getJSeparator2());
			ivjFileMenu.add(getSave_boot_scriptMenuItem());
			ivjFileMenu.add(getJSeparator3());
			ivjFileMenu.add(getExitMenuItem());
			// user code begin {1}
			ivjFileMenu.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjFileMenu;
}
/**
 * Return the Forward_policyMenuItem property value.
 * @return javax.swing.JMenu
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenu getForward_policyMenuItem() {
	if (ivjForward_policyMenuItem == null) {
		try {
			ivjForward_policyMenuItem = new javax.swing.JMenu();
			ivjForward_policyMenuItem.setName("Forward_policyMenuItem");
			ivjForward_policyMenuItem.setText("Forward policy");
			ivjForward_policyMenuItem.add(getForwardDefaultToDeny());
			ivjForward_policyMenuItem.add(getForwardInputDefaultToAccept());
			// user code begin {1}
			ivjForward_policyMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjForward_policyMenuItem;
}
/**
 * Return the ForwardDefaultToDeny property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getForwardDefaultToDeny() {
	if (ivjForwardDefaultToDeny == null) {
		try {
			ivjForwardDefaultToDeny = new javax.swing.JMenuItem();
			ivjForwardDefaultToDeny.setName("ForwardDefaultToDeny");
			ivjForwardDefaultToDeny.setText("Default to DENY");
			// user code begin {1}
			ivjForwardDefaultToDeny.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjForwardDefaultToDeny;
}
/**
 * Return the ForwardInputDefaultToAccept property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getForwardInputDefaultToAccept() {
	if (ivjForwardInputDefaultToAccept == null) {
		try {
			ivjForwardInputDefaultToAccept = new javax.swing.JMenuItem();
			ivjForwardInputDefaultToAccept.setName("ForwardInputDefaultToAccept");
			ivjForwardInputDefaultToAccept.setText("Default to ACCEPT");
			// user code begin {1}
			ivjForwardInputDefaultToAccept.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjForwardInputDefaultToAccept;
}
/**
 * Return the ForwardServicesJCheckBox property value.
 * @return javax.swing.JCheckBoxMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JCheckBoxMenuItem getForwardServicesJCheckBox() {
	if (ivjForwardServicesJCheckBox == null) {
		try {
			ivjForwardServicesJCheckBox = new javax.swing.JCheckBoxMenuItem();
			ivjForwardServicesJCheckBox.setName("ForwardServicesJCheckBox");
			ivjForwardServicesJCheckBox.setToolTipText("Forward services frame");
			ivjForwardServicesJCheckBox.setText("Forward services");
			// user code begin {1}
			ivjForwardServicesJCheckBox.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjForwardServicesJCheckBox;
}
/**
 * Return the ForwardServicesJFrame property value.
 * @return javax.swing.JFrame
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JFrame getForwardServicesJFrame() {
	if (ivjForwardServicesJFrame == null) {
		try {
			ivjForwardServicesJFrame = new javax.swing.JFrame();
			ivjForwardServicesJFrame.setName("ForwardServicesJFrame");
			ivjForwardServicesJFrame.setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
			ivjForwardServicesJFrame.setBounds(37, 838, 772, 193);
			ivjForwardServicesJFrame.setTitle("Forward services");
			getForwardServicesJFrame().setContentPane(getJFrameContentPane11());
			// user code begin {1}
			ivjForwardServicesJFrame.setLocation(100, 70);
			ivjForwardServicesJFrame.setSize(900, 200);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjForwardServicesJFrame;
}
/**
 * Return the FwadminJMenuBar property value.
 * @return javax.swing.JMenuBar
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuBar getFwadminJMenuBar() {
	if (ivjFwadminJMenuBar == null) {
		try {
			ivjFwadminJMenuBar = new javax.swing.JMenuBar();
			ivjFwadminJMenuBar.setName("FwadminJMenuBar");
			ivjFwadminJMenuBar.add(getFileMenu());
			ivjFwadminJMenuBar.add(getPoliciesMenu());
			ivjFwadminJMenuBar.add(getServicesMenu());
			ivjFwadminJMenuBar.add(getWindowsJMenu());
			ivjFwadminJMenuBar.add(getHelpMenu());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjFwadminJMenuBar;
}
/**
 * Return the HelpMenu property value.
 * @return javax.swing.JMenu
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenu getHelpMenu() {
	if (ivjHelpMenu == null) {
		try {
			ivjHelpMenu = new javax.swing.JMenu();
			ivjHelpMenu.setName("HelpMenu");
			ivjHelpMenu.setText("Help");
			ivjHelpMenu.add(getJSeparator6());
			ivjHelpMenu.add(getAbout_BoxMenuItem());
			// user code begin {1}
			ivjHelpMenu.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjHelpMenu;
}
/**
 * Return the InputDefaultToAccept property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getInputDefaultToAccept() {
	if (ivjInputDefaultToAccept == null) {
		try {
			ivjInputDefaultToAccept = new javax.swing.JMenuItem();
			ivjInputDefaultToAccept.setName("InputDefaultToAccept");
			ivjInputDefaultToAccept.setText("Default to ACCEPT");
			// user code begin {1}
			ivjInputDefaultToAccept.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjInputDefaultToAccept;
}
/**
 * Return the InputDefaultToDeny property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getInputDefaultToDeny() {
	if (ivjInputDefaultToDeny == null) {
		try {
			ivjInputDefaultToDeny = new javax.swing.JMenuItem();
			ivjInputDefaultToDeny.setName("InputDefaultToDeny");
			ivjInputDefaultToDeny.setText("Default to DENY");
			// user code begin {1}
			ivjInputDefaultToDeny.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjInputDefaultToDeny;
}
/**
 * Return the InputPolicy property value.
 * @return javax.swing.JMenu
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenu getInputPolicy() {
	if (ivjInputPolicy == null) {
		try {
			ivjInputPolicy = new javax.swing.JMenu();
			ivjInputPolicy.setName("InputPolicy");
			ivjInputPolicy.setText("Input policy");
			ivjInputPolicy.add(getInputDefaultToDeny());
			ivjInputPolicy.add(getInputDefaultToAccept());
			// user code begin {1}
			ivjInputPolicy.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjInputPolicy;
}
/**
 * Return the InputServicesJCheckBox property value.
 * @return javax.swing.JCheckBoxMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JCheckBoxMenuItem getInputServicesJCheckBox() {
	if (ivjInputServicesJCheckBox == null) {
		try {
			ivjInputServicesJCheckBox = new javax.swing.JCheckBoxMenuItem();
			ivjInputServicesJCheckBox.setName("InputServicesJCheckBox");
			ivjInputServicesJCheckBox.setToolTipText("Input services frame");
			ivjInputServicesJCheckBox.setText("Input services");
			// user code begin {1}
			ivjInputServicesJCheckBox.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjInputServicesJCheckBox;
}
/**
 * Return the JFrame1 property value.
 * @return javax.swing.JFrame
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JFrame getInputServicesJFrame() {
	if (ivjInputServicesJFrame == null) {
		try {
			ivjInputServicesJFrame = new javax.swing.JFrame();
			ivjInputServicesJFrame.setName("InputServicesJFrame");
			ivjInputServicesJFrame.setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
			ivjInputServicesJFrame.setBounds(7, 805, 762, 235);
			ivjInputServicesJFrame.setTitle("Input services");
			getInputServicesJFrame().setContentPane(getJFrameContentPane1());
			// user code begin {1}
			ivjInputServicesJFrame.setLocation(100, 30);
			ivjInputServicesJFrame.setSize(800, 200);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjInputServicesJFrame;
}
  public static JFwadmin getInstance()
  {
	if (m_instance == null) m_instance = new JFwadmin();
	return m_instance; 
  }  
/**
 * Return the JFrameContentPane property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane() {
	if (ivjJFrameContentPane == null) {
		try {
			ivjJFrameContentPane = new javax.swing.JPanel();
			ivjJFrameContentPane.setName("JFrameContentPane");
			ivjJFrameContentPane.setLayout(new java.awt.BorderLayout());
			getJFrameContentPane().add(getToolBarPane(), "North");
			getJFrameContentPane().add(getStatusBarPane(), "South");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane;
}
/**
 * Return the JFrameContentPane1 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane1() {
	if (ivjJFrameContentPane1 == null) {
		try {
			ivjJFrameContentPane1 = new javax.swing.JPanel();
			ivjJFrameContentPane1.setName("JFrameContentPane1");
			ivjJFrameContentPane1.setLayout(new java.awt.BorderLayout());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane1;
}
/**
 * Return the JFrameContentPane11 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane11() {
	if (ivjJFrameContentPane11 == null) {
		try {
			ivjJFrameContentPane11 = new javax.swing.JPanel();
			ivjJFrameContentPane11.setName("JFrameContentPane11");
			ivjJFrameContentPane11.setLayout(new java.awt.BorderLayout());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane11;
}
/**
 * Return the JFrameContentPane12 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane12() {
	if (ivjJFrameContentPane12 == null) {
		try {
			ivjJFrameContentPane12 = new javax.swing.JPanel();
			ivjJFrameContentPane12.setName("JFrameContentPane12");
			ivjJFrameContentPane12.setLayout(new java.awt.BorderLayout());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane12;
}
/**
 * Return the JFrameContentPane121 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane121() {
	if (ivjJFrameContentPane121 == null) {
		try {
			ivjJFrameContentPane121 = new javax.swing.JPanel();
			ivjJFrameContentPane121.setName("JFrameContentPane121");
			ivjJFrameContentPane121.setLayout(new java.awt.BorderLayout());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane121;
}
/**
 * Return the JFrameContentPane2 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane2() {
	if (ivjJFrameContentPane2 == null) {
		try {
			ivjJFrameContentPane2 = new javax.swing.JPanel();
			ivjJFrameContentPane2.setName("JFrameContentPane2");
			ivjJFrameContentPane2.setLayout(new java.awt.BorderLayout());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane2;
}
/**
 * Return the JFrameContentPane3 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane3() {
	if (ivjJFrameContentPane3 == null) {
		try {
			ivjJFrameContentPane3 = new javax.swing.JPanel();
			ivjJFrameContentPane3.setName("JFrameContentPane3");
			ivjJFrameContentPane3.setLayout(new java.awt.BorderLayout());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane3;
}
/**
 * Return the JFrameContentPane4 property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getJFrameContentPane4() {
	if (ivjJFrameContentPane4 == null) {
		try {
			ivjJFrameContentPane4 = new javax.swing.JPanel();
			ivjJFrameContentPane4.setName("JFrameContentPane4");
			ivjJFrameContentPane4.setLayout(new java.awt.BorderLayout());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJFrameContentPane4;
}
/**
 * Return the JMenuItemDisplayAllWindows property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getJMenuItemDisplayAllWindows() {
	if (ivjJMenuItemDisplayAllWindows == null) {
		try {
			ivjJMenuItemDisplayAllWindows = new javax.swing.JMenuItem();
			ivjJMenuItemDisplayAllWindows.setName("JMenuItemDisplayAllWindows");
			ivjJMenuItemDisplayAllWindows.setText("All");
			// user code begin {1}
			ivjJMenuItemDisplayAllWindows.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJMenuItemDisplayAllWindows;
}
/**
 * Return the JMenuItemDisplayZeroWindow property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getJMenuItemDisplayZeroWindow() {
	if (ivjJMenuItemDisplayZeroWindow == null) {
		try {
			ivjJMenuItemDisplayZeroWindow = new javax.swing.JMenuItem();
			ivjJMenuItemDisplayZeroWindow.setName("JMenuItemDisplayZeroWindow");
			ivjJMenuItemDisplayZeroWindow.setText("None");
			// user code begin {1}
			ivjJMenuItemDisplayZeroWindow.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJMenuItemDisplayZeroWindow;
}
/**
 * Return the JSeparator1 property value.
 * @return javax.swing.JSeparator
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JSeparator getJSeparator1() {
	if (ivjJSeparator1 == null) {
		try {
			ivjJSeparator1 = new javax.swing.JSeparator();
			ivjJSeparator1.setName("JSeparator1");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJSeparator1;
}
/**
 * Return the JSeparator2 property value.
 * @return javax.swing.JSeparator
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JSeparator getJSeparator2() {
	if (ivjJSeparator2 == null) {
		try {
			ivjJSeparator2 = new javax.swing.JSeparator();
			ivjJSeparator2.setName("JSeparator2");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJSeparator2;
}
/**
 * Return the JSeparator3 property value.
 * @return javax.swing.JSeparator
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JSeparator getJSeparator3() {
	if (ivjJSeparator3 == null) {
		try {
			ivjJSeparator3 = new javax.swing.JSeparator();
			ivjJSeparator3.setName("JSeparator3");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJSeparator3;
}
/**
 * Return the JSeparator4 property value.
 * @return javax.swing.JSeparator
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JSeparator getJSeparator4() {
	if (ivjJSeparator4 == null) {
		try {
			ivjJSeparator4 = new javax.swing.JSeparator();
			ivjJSeparator4.setName("JSeparator4");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJSeparator4;
}
/**
 * Return the JSeparator5 property value.
 * @return javax.swing.JSeparator
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JSeparator getJSeparator5() {
	if (ivjJSeparator5 == null) {
		try {
			ivjJSeparator5 = new javax.swing.JSeparator();
			ivjJSeparator5.setName("JSeparator5");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJSeparator5;
}
/**
 * Return the JSeparator6 property value.
 * @return javax.swing.JSeparator
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JSeparator getJSeparator6() {
	if (ivjJSeparator6 == null) {
		try {
			ivjJSeparator6 = new javax.swing.JSeparator();
			ivjJSeparator6.setName("JSeparator6");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJSeparator6;
}
/**
 * Return the JSeparator7 property value.
 * @return javax.swing.JSeparator
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JSeparator getJSeparator7() {
	if (ivjJSeparator7 == null) {
		try {
			ivjJSeparator7 = new javax.swing.JSeparator();
			ivjJSeparator7.setName("JSeparator7");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjJSeparator7;
}
/**
 * Return the MasqModulesJCheckBoxMenuItem property value.
 * @return javax.swing.JCheckBoxMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JCheckBoxMenuItem getMasqModulesJCheckBoxMenuItem() {
	if (ivjMasqModulesJCheckBoxMenuItem == null) {
		try {
			ivjMasqModulesJCheckBoxMenuItem = new javax.swing.JCheckBoxMenuItem();
			ivjMasqModulesJCheckBoxMenuItem.setName("MasqModulesJCheckBoxMenuItem");
			ivjMasqModulesJCheckBoxMenuItem.setText("Masq modules");
			// user code begin {1}
			ivjMasqModulesJCheckBoxMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjMasqModulesJCheckBoxMenuItem;
}
/**
 * Return the MasqModulesJFrame property value.
 * @return javax.swing.JFrame
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JFrame getMasqModulesJFrame() {
	if (ivjMasqModulesJFrame == null) {
		try {
			ivjMasqModulesJFrame = new javax.swing.JFrame();
			ivjMasqModulesJFrame.setName("MasqModulesJFrame");
			ivjMasqModulesJFrame.setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
			ivjMasqModulesJFrame.setBounds(456, 718, 762, 235);
			ivjMasqModulesJFrame.setTitle("Masq modules");
			getMasqModulesJFrame().setContentPane(getJFrameContentPane12());
			// user code begin {1}
			ivjMasqModulesJFrame.setLocation(0, 230);
			ivjMasqModulesJFrame.setSize(320, 180);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjMasqModulesJFrame;
}
/**
 * Return the MiscRulesJCheckBoxMenuItem property value.
 * @return javax.swing.JCheckBoxMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JCheckBoxMenuItem getMiscRulesJCheckBoxMenuItem() {
	if (ivjMiscRulesJCheckBoxMenuItem == null) {
		try {
			ivjMiscRulesJCheckBoxMenuItem = new javax.swing.JCheckBoxMenuItem();
			ivjMiscRulesJCheckBoxMenuItem.setName("MiscRulesJCheckBoxMenuItem");
			ivjMiscRulesJCheckBoxMenuItem.setToolTipText("Miscellaneous rules frame");
			ivjMiscRulesJCheckBoxMenuItem.setText("Miscellaneous rules");
			// user code begin {1}
			ivjMiscRulesJCheckBoxMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjMiscRulesJCheckBoxMenuItem;
}
/**
 * Return the MiscRulesJFrame property value.
 * @return javax.swing.JFrame
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JFrame getMiscRulesJFrame() {
	if (ivjMiscRulesJFrame == null) {
		try {
			ivjMiscRulesJFrame = new javax.swing.JFrame();
			ivjMiscRulesJFrame.setName("MiscRulesJFrame");
			ivjMiscRulesJFrame.setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
			ivjMiscRulesJFrame.setBounds(100, 919, 761, 227);
			ivjMiscRulesJFrame.setTitle("Miscellaneous rules");
			getMiscRulesJFrame().setContentPane(getJFrameContentPane3());
			// user code begin {1}
			ivjMiscRulesJFrame.setLocation(100, 90);
			ivjMiscRulesJFrame.setSize(640, 200);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjMiscRulesJFrame;
}
/**
 * Return the New_anti_spoofing_serviceMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getNew_anti_spoofing_serviceMenuItem() {
	if (ivjNew_anti_spoofing_serviceMenuItem == null) {
		try {
			ivjNew_anti_spoofing_serviceMenuItem = new javax.swing.JMenuItem();
			ivjNew_anti_spoofing_serviceMenuItem.setName("New_anti_spoofing_serviceMenuItem");
			ivjNew_anti_spoofing_serviceMenuItem.setText("New anti-spoofing service");
			// user code begin {1}
			ivjNew_anti_spoofing_serviceMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjNew_anti_spoofing_serviceMenuItem;
}
/**
 * Return the New_forward_serviceMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getNew_forward_serviceMenuItem() {
	if (ivjNew_forward_serviceMenuItem == null) {
		try {
			ivjNew_forward_serviceMenuItem = new javax.swing.JMenuItem();
			ivjNew_forward_serviceMenuItem.setName("New_forward_serviceMenuItem");
			ivjNew_forward_serviceMenuItem.setText("New forward service");
			// user code begin {1}
			ivjNew_forward_serviceMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjNew_forward_serviceMenuItem;
}
/**
 * Return the New_input_serviceMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getNew_input_serviceMenuItem() {
	if (ivjNew_input_serviceMenuItem == null) {
		try {
			ivjNew_input_serviceMenuItem = new javax.swing.JMenuItem();
			ivjNew_input_serviceMenuItem.setName("New_input_serviceMenuItem");
			ivjNew_input_serviceMenuItem.setText("New input service");
			// user code begin {1}
			ivjNew_input_serviceMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjNew_input_serviceMenuItem;
}
/**
 * Return the New_log_denied_packets_serviceMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getNew_log_denied_packets_serviceMenuItem() {
	if (ivjNew_log_denied_packets_serviceMenuItem == null) {
		try {
			ivjNew_log_denied_packets_serviceMenuItem = new javax.swing.JMenuItem();
			ivjNew_log_denied_packets_serviceMenuItem.setName("New_log_denied_packets_serviceMenuItem");
			ivjNew_log_denied_packets_serviceMenuItem.setText("New log denied packets service");
			// user code begin {1}
			ivjNew_log_denied_packets_serviceMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjNew_log_denied_packets_serviceMenuItem;
}
/**
 * Return the New_output_serviceMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getNew_output_serviceMenuItem() {
	if (ivjNew_output_serviceMenuItem == null) {
		try {
			ivjNew_output_serviceMenuItem = new javax.swing.JMenuItem();
			ivjNew_output_serviceMenuItem.setName("New_output_serviceMenuItem");
			ivjNew_output_serviceMenuItem.setText("New output service");
			// user code begin {1}
			ivjNew_output_serviceMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjNew_output_serviceMenuItem;
}
/**
 * Return the newPortForwardRuleJMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getnewPortForwardRuleJMenuItem() {
	if (ivjnewPortForwardRuleJMenuItem == null) {
		try {
			ivjnewPortForwardRuleJMenuItem = new javax.swing.JMenuItem();
			ivjnewPortForwardRuleJMenuItem.setName("newPortForwardRuleJMenuItem");
			ivjnewPortForwardRuleJMenuItem.setText("New port forwarding rule");
			// user code begin {1}
			ivjnewPortForwardRuleJMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjnewPortForwardRuleJMenuItem;
}
/**
 * Return the Output_policyMenuItem property value.
 * @return javax.swing.JMenu
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenu getOutput_policyMenuItem() {
	if (ivjOutput_policyMenuItem == null) {
		try {
			ivjOutput_policyMenuItem = new javax.swing.JMenu();
			ivjOutput_policyMenuItem.setName("Output_policyMenuItem");
			ivjOutput_policyMenuItem.setText("Output policy");
			ivjOutput_policyMenuItem.add(getOutputDefaultToDeny());
			ivjOutput_policyMenuItem.add(getOutputDefaultToAccept());
			// user code begin {1}
			ivjOutput_policyMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjOutput_policyMenuItem;
}
/**
 * Return the OutputDefaultToAccept property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getOutputDefaultToAccept() {
	if (ivjOutputDefaultToAccept == null) {
		try {
			ivjOutputDefaultToAccept = new javax.swing.JMenuItem();
			ivjOutputDefaultToAccept.setName("OutputDefaultToAccept");
			ivjOutputDefaultToAccept.setText("Default to ACCEPT");
			// user code begin {1}
			ivjOutputDefaultToAccept.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjOutputDefaultToAccept;
}
/**
 * Return the OutputDefaultToDeny property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getOutputDefaultToDeny() {
	if (ivjOutputDefaultToDeny == null) {
		try {
			ivjOutputDefaultToDeny = new javax.swing.JMenuItem();
			ivjOutputDefaultToDeny.setName("OutputDefaultToDeny");
			ivjOutputDefaultToDeny.setText("Default to DENY");
			// user code begin {1}
			ivjOutputDefaultToDeny.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjOutputDefaultToDeny;
}
/**
 * Return the OutputServicesJCheckBox property value.
 * @return javax.swing.JCheckBoxMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JCheckBoxMenuItem getOutputServicesJCheckBox() {
	if (ivjOutputServicesJCheckBox == null) {
		try {
			ivjOutputServicesJCheckBox = new javax.swing.JCheckBoxMenuItem();
			ivjOutputServicesJCheckBox.setName("OutputServicesJCheckBox");
			ivjOutputServicesJCheckBox.setToolTipText("Output services frame");
			ivjOutputServicesJCheckBox.setText("Output services");
			// user code begin {1}
			ivjOutputServicesJCheckBox.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjOutputServicesJCheckBox;
}
/**
 * Return the OutputServicesJFrame property value.
 * @return javax.swing.JFrame
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JFrame getOutputServicesJFrame() {
	if (ivjOutputServicesJFrame == null) {
		try {
			ivjOutputServicesJFrame = new javax.swing.JFrame();
			ivjOutputServicesJFrame.setName("OutputServicesJFrame");
			ivjOutputServicesJFrame.setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
			ivjOutputServicesJFrame.setBounds(58, 873, 783, 215);
			ivjOutputServicesJFrame.setTitle("Output services");
			getOutputServicesJFrame().setContentPane(getJFrameContentPane2());
			// user code begin {1}
			ivjOutputServicesJFrame.setLocation(100, 50);
			ivjOutputServicesJFrame.setSize(800, 200);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjOutputServicesJFrame;
}
/**
 * Return the PoliciesMenu property value.
 * @return javax.swing.JMenu
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenu getPoliciesMenu() {
	if (ivjPoliciesMenu == null) {
		try {
			ivjPoliciesMenu = new javax.swing.JMenu();
			ivjPoliciesMenu.setName("PoliciesMenu");
			ivjPoliciesMenu.setIcon(null);
			ivjPoliciesMenu.setText("Policies");
			ivjPoliciesMenu.add(getInputPolicy());
			ivjPoliciesMenu.add(getOutput_policyMenuItem());
			ivjPoliciesMenu.add(getForward_policyMenuItem());
			ivjPoliciesMenu.add(getJSeparator4());
			ivjPoliciesMenu.add(getReset_firewall_to_ACCEPTMenuItem());
			ivjPoliciesMenu.add(getReset_firewall_to_DENYMenuItem());
			// user code begin {1}
			ivjPoliciesMenu.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjPoliciesMenu;
}
public boolean getPortForwardingEnabled()
{
	return getPortForwardingJCheckBoxMenuItem().isEnabled();
}
/**
 * Return the PortForwardingJCheckBoxMenuItem property value.
 * @return javax.swing.JCheckBoxMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JCheckBoxMenuItem getPortForwardingJCheckBoxMenuItem() {
	if (ivjPortForwardingJCheckBoxMenuItem == null) {
		try {
			ivjPortForwardingJCheckBoxMenuItem = new javax.swing.JCheckBoxMenuItem();
			ivjPortForwardingJCheckBoxMenuItem.setName("PortForwardingJCheckBoxMenuItem");
			ivjPortForwardingJCheckBoxMenuItem.setText("Port forwarding services");
			// user code begin {1}
			ivjPortForwardingJCheckBoxMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjPortForwardingJCheckBoxMenuItem;
}
/**
 * Return the PortForwardingJFrame property value.
 * @return javax.swing.JFrame
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JFrame getPortForwardingJFrame() {
	if (ivjPortForwardingJFrame == null) {
		try {
			ivjPortForwardingJFrame = new javax.swing.JFrame();
			ivjPortForwardingJFrame.setName("PortForwardingJFrame");
			ivjPortForwardingJFrame.setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
			ivjPortForwardingJFrame.setBounds(519, 660, 762, 235);
			ivjPortForwardingJFrame.setTitle("Port forwarding");
			getPortForwardingJFrame().setContentPane(getJFrameContentPane121());
			// user code begin {1}
			ivjPortForwardingJFrame.setLocation(100, 110);
			ivjPortForwardingJFrame.setSize(640, 200);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjPortForwardingJFrame;
}
/**
 * Return the Refresh_data_from_systemMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getRefresh_data_from_systemMenuItem() {
	if (ivjRefresh_data_from_systemMenuItem == null) {
		try {
			ivjRefresh_data_from_systemMenuItem = new javax.swing.JMenuItem();
			ivjRefresh_data_from_systemMenuItem.setName("Refresh_data_from_systemMenuItem");
			ivjRefresh_data_from_systemMenuItem.setText("Refresh data from system");
			// user code begin {1}
			ivjRefresh_data_from_systemMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjRefresh_data_from_systemMenuItem;
}
/**
 * Return the UndoButton property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getRefreshDataFromSystem() {
	if (ivjRefreshDataFromSystem == null) {
		try {
			ivjRefreshDataFromSystem = new javax.swing.JButton();
			ivjRefreshDataFromSystem.setName("RefreshDataFromSystem");
			ivjRefreshDataFromSystem.setToolTipText("Refresh data from system");
			ivjRefreshDataFromSystem.setText("");
			ivjRefreshDataFromSystem.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			ivjRefreshDataFromSystem.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
			ivjRefreshDataFromSystem.setRolloverEnabled(true);
			ivjRefreshDataFromSystem.setMargin(new java.awt.Insets(0, 0, 0, 0));
			// user code begin {1}
			ivjRefreshDataFromSystem.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon1.jpg")));
			ivjRefreshDataFromSystem.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon1o.jpg")));
			ivjRefreshDataFromSystem.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon1p.jpg")));
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjRefreshDataFromSystem;
}
/**
 * Return the Reset_firewall_to_ACCEPTMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getReset_firewall_to_ACCEPTMenuItem() {
	if (ivjReset_firewall_to_ACCEPTMenuItem == null) {
		try {
			ivjReset_firewall_to_ACCEPTMenuItem = new javax.swing.JMenuItem();
			ivjReset_firewall_to_ACCEPTMenuItem.setName("Reset_firewall_to_ACCEPTMenuItem");
			ivjReset_firewall_to_ACCEPTMenuItem.setText("Reset firewall to ACCEPT");
			// user code begin {1}
			ivjReset_firewall_to_ACCEPTMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjReset_firewall_to_ACCEPTMenuItem;
}
/**
 * Return the Reset_firewall_to_DENYMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getReset_firewall_to_DENYMenuItem() {
	if (ivjReset_firewall_to_DENYMenuItem == null) {
		try {
			ivjReset_firewall_to_DENYMenuItem = new javax.swing.JMenuItem();
			ivjReset_firewall_to_DENYMenuItem.setName("Reset_firewall_to_DENYMenuItem");
			ivjReset_firewall_to_DENYMenuItem.setText("Reset firewall to DENY");
			// user code begin {1}
			ivjReset_firewall_to_DENYMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjReset_firewall_to_DENYMenuItem;
}
public static String getResource(String key)
{
	try
	{
		return resJFwadmin.getString(key);
	}
	catch(Exception e)
	{
		System.out.println("The resource '" + key + "' was not found in properties file. Exiting.");
		System.exit(1);
	}
	return null;
}
/**
 * Return the Restore_firewallMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getRestore_firewallMenuItem() {
	if (ivjRestore_firewallMenuItem == null) {
		try {
			ivjRestore_firewallMenuItem = new javax.swing.JMenuItem();
			ivjRestore_firewallMenuItem.setName("Restore_firewallMenuItem");
			ivjRestore_firewallMenuItem.setText("Restore firewall");
			// user code begin {1}
			ivjRestore_firewallMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjRestore_firewallMenuItem;
}
/**
 * Return the SaveButton property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getRestoreFirewall() {
	if (ivjRestoreFirewall == null) {
		try {
			ivjRestoreFirewall = new javax.swing.JButton();
			ivjRestoreFirewall.setName("RestoreFirewall");
			ivjRestoreFirewall.setToolTipText("Restore firewall");
			ivjRestoreFirewall.setText("");
			ivjRestoreFirewall.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			ivjRestoreFirewall.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
			ivjRestoreFirewall.setRolloverEnabled(true);
			ivjRestoreFirewall.setMargin(new java.awt.Insets(0, 0, 0, 0));
			// user code begin {1}
			ivjRestoreFirewall.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon4.jpg")));
			ivjRestoreFirewall.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon4o.jpg")));
			ivjRestoreFirewall.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon4p.jpg")));
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjRestoreFirewall;
}
/**
 * Return the Save_boot_scriptMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getSave_boot_scriptMenuItem() {
	if (ivjSave_boot_scriptMenuItem == null) {
		try {
			ivjSave_boot_scriptMenuItem = new javax.swing.JMenuItem();
			ivjSave_boot_scriptMenuItem.setName("Save_boot_scriptMenuItem");
			ivjSave_boot_scriptMenuItem.setText("Save boot script");
			// user code begin {1}
			ivjSave_boot_scriptMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjSave_boot_scriptMenuItem;
}
/**
 * Return the Save_firewallMenuItem property value.
 * @return javax.swing.JMenuItem
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenuItem getSave_firewallMenuItem() {
	if (ivjSave_firewallMenuItem == null) {
		try {
			ivjSave_firewallMenuItem = new javax.swing.JMenuItem();
			ivjSave_firewallMenuItem.setName("Save_firewallMenuItem");
			ivjSave_firewallMenuItem.setText("Save firewall");
			// user code begin {1}
			ivjSave_firewallMenuItem.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjSave_firewallMenuItem;
}
/**
 * Return the CopyButton property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getSaveBootScript() {
	if (ivjSaveBootScript == null) {
		try {
			ivjSaveBootScript = new javax.swing.JButton();
			ivjSaveBootScript.setName("SaveBootScript");
			ivjSaveBootScript.setToolTipText("Save boot script (Shell script)");
			ivjSaveBootScript.setText("");
			ivjSaveBootScript.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			ivjSaveBootScript.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
			ivjSaveBootScript.setRolloverEnabled(true);
			ivjSaveBootScript.setMargin(new java.awt.Insets(0, 0, 0, 0));
			// user code begin {1}
			ivjSaveBootScript.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon5.jpg")));
			ivjSaveBootScript.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon5o.jpg")));
			ivjSaveBootScript.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon5p.jpg")));
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjSaveBootScript;
}
/**
 * Return the OpenButton property value.
 * @return javax.swing.JButton
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JButton getSaveFirewall() {
	if (ivjSaveFirewall == null) {
		try {
			ivjSaveFirewall = new javax.swing.JButton();
			ivjSaveFirewall.setName("SaveFirewall");
			ivjSaveFirewall.setToolTipText("Save firewall");
			ivjSaveFirewall.setText("");
			ivjSaveFirewall.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			ivjSaveFirewall.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
			ivjSaveFirewall.setRolloverEnabled(true);
			ivjSaveFirewall.setMargin(new java.awt.Insets(0, 0, 0, 0));
			// user code begin {1}
			ivjSaveFirewall.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon3.jpg")));
			ivjSaveFirewall.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon3o.jpg")));
			ivjSaveFirewall.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/fwadmin/icon3p.jpg")));
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjSaveFirewall;
}
/**
 * Return the ServicesMenu property value.
 * @return javax.swing.JMenu
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenu getServicesMenu() {
	if (ivjServicesMenu == null) {
		try {
			ivjServicesMenu = new javax.swing.JMenu();
			ivjServicesMenu.setName("ServicesMenu");
			ivjServicesMenu.setText("Services");
			ivjServicesMenu.add(getNew_input_serviceMenuItem());
			ivjServicesMenu.add(getNew_output_serviceMenuItem());
			ivjServicesMenu.add(getNew_forward_serviceMenuItem());
			ivjServicesMenu.add(getnewPortForwardRuleJMenuItem());
			ivjServicesMenu.add(getJSeparator5());
			ivjServicesMenu.add(getNew_anti_spoofing_serviceMenuItem());
			ivjServicesMenu.add(getNew_log_denied_packets_serviceMenuItem());
			// user code begin {1}
			ivjServicesMenu.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjServicesMenu;
}
/**
 * Return the StatusBarPane property value.
 * @return javax.swing.JPanel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JPanel getStatusBarPane() {
	if (ivjStatusBarPane == null) {
		try {
			ivjStatusBarPane = new javax.swing.JPanel();
			ivjStatusBarPane.setName("StatusBarPane");
			ivjStatusBarPane.setLayout(new java.awt.BorderLayout());
			getStatusBarPane().add(getStatusMsg1(), "West");
			getStatusBarPane().add(getStatusMsg2(), "Center");
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjStatusBarPane;
}
/**
 * Return the StatusMsg1 property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getStatusMsg1() {
	if (ivjStatusMsg1 == null) {
		try {
			ivjStatusMsg1 = new javax.swing.JLabel();
			ivjStatusMsg1.setName("StatusMsg1");
			ivjStatusMsg1.setBorder(new javax.swing.border.EtchedBorder());
			ivjStatusMsg1.setText("StatusMsg1    ");
			// user code begin {1}
			ivjStatusMsg1.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjStatusMsg1;
}
/**
 * Return the StatusMsg2 property value.
 * @return javax.swing.JLabel
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JLabel getStatusMsg2() {
	if (ivjStatusMsg2 == null) {
		try {
			ivjStatusMsg2 = new javax.swing.JLabel();
			ivjStatusMsg2.setName("StatusMsg2");
			ivjStatusMsg2.setBorder(new javax.swing.border.EtchedBorder());
			ivjStatusMsg2.setText("StatusMsg2");
			// user code begin {1}
			ivjStatusMsg2.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjStatusMsg2;
}
/**
 * Return the ToolBarPane property value.
 * @return javax.swing.JToolBar
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JToolBar getToolBarPane() {
	if (ivjToolBarPane == null) {
		try {
			ivjToolBarPane = new javax.swing.JToolBar();
			ivjToolBarPane.setName("ToolBarPane");
			ivjToolBarPane.setFloatable(false);
			ivjToolBarPane.add(getRefreshDataFromSystem());
			ivjToolBarPane.add(getApplyChanges());
			ivjToolBarPane.addSeparator();
			ivjToolBarPane.add(getSaveFirewall());
			ivjToolBarPane.add(getRestoreFirewall());
			ivjToolBarPane.addSeparator();
			ivjToolBarPane.add(getSaveBootScript());
			ivjToolBarPane.addSeparator();
			getToolBarPane().add(getExit(), getExit().getName());
			ivjToolBarPane.addSeparator();
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjToolBarPane;
}
/**
 * Return the WindowsJMenu property value.
 * @return javax.swing.JMenu
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private javax.swing.JMenu getWindowsJMenu() {
	if (ivjWindowsJMenu == null) {
		try {
			ivjWindowsJMenu = new javax.swing.JMenu();
			ivjWindowsJMenu.setName("WindowsJMenu");
			ivjWindowsJMenu.setToolTipText("Display services windows");
			ivjWindowsJMenu.setText("Windows");
			ivjWindowsJMenu.add(getJMenuItemDisplayAllWindows());
			ivjWindowsJMenu.add(getJMenuItemDisplayZeroWindow());
			ivjWindowsJMenu.add(getJSeparator7());
			ivjWindowsJMenu.add(getDefaultPoliciesJCheckBoxMenuItem());
			ivjWindowsJMenu.add(getInputServicesJCheckBox());
			ivjWindowsJMenu.add(getOutputServicesJCheckBox());
			ivjWindowsJMenu.add(getForwardServicesJCheckBox());
			ivjWindowsJMenu.add(getMasqModulesJCheckBoxMenuItem());
			ivjWindowsJMenu.add(getPortForwardingJCheckBoxMenuItem());
			ivjWindowsJMenu.add(getMiscRulesJCheckBoxMenuItem());
			// user code begin {1}
			ivjWindowsJMenu.setFont(m_font);
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	}
	return ivjWindowsJMenu;
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(java.lang.Throwable exception) {

	/* Uncomment the following lines to print uncaught exceptions to stdout */
	// System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	// exception.printStackTrace(System.out);
}
/**
 * Initializes connections
 * @exception java.lang.Exception The exception description.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initConnections() throws java.lang.Exception {
	// user code begin {1}
	// user code end
	getExitMenuItem().addActionListener(ivjEventHandler);
	getAbout_BoxMenuItem().addActionListener(ivjEventHandler);
	getRefresh_data_from_systemMenuItem().addActionListener(ivjEventHandler);
	getRestore_firewallMenuItem().addActionListener(ivjEventHandler);
	getSave_firewallMenuItem().addActionListener(ivjEventHandler);
	getApply_changesMenuItem().addActionListener(ivjEventHandler);
	getSave_boot_scriptMenuItem().addActionListener(ivjEventHandler);
	getInputDefaultToDeny().addActionListener(ivjEventHandler);
	getInputDefaultToAccept().addActionListener(ivjEventHandler);
	getOutputDefaultToDeny().addActionListener(ivjEventHandler);
	getOutputDefaultToAccept().addActionListener(ivjEventHandler);
	getForwardDefaultToDeny().addActionListener(ivjEventHandler);
	getForwardInputDefaultToAccept().addActionListener(ivjEventHandler);
	getReset_firewall_to_ACCEPTMenuItem().addActionListener(ivjEventHandler);
	getReset_firewall_to_DENYMenuItem().addActionListener(ivjEventHandler);
	getNew_input_serviceMenuItem().addActionListener(ivjEventHandler);
	getNew_output_serviceMenuItem().addActionListener(ivjEventHandler);
	getNew_forward_serviceMenuItem().addActionListener(ivjEventHandler);
	getNew_anti_spoofing_serviceMenuItem().addActionListener(ivjEventHandler);
	getNew_log_denied_packets_serviceMenuItem().addActionListener(ivjEventHandler);
	getExit().addActionListener(ivjEventHandler);
	getSaveBootScript().addActionListener(ivjEventHandler);
	getRestoreFirewall().addActionListener(ivjEventHandler);
	getSaveFirewall().addActionListener(ivjEventHandler);
	getApplyChanges().addActionListener(ivjEventHandler);
	getRefreshDataFromSystem().addActionListener(ivjEventHandler);
	getOutputServicesJCheckBox().addItemListener(ivjEventHandler);
	getForwardServicesJCheckBox().addItemListener(ivjEventHandler);
	getInputServicesJCheckBox().addItemListener(ivjEventHandler);
	getMiscRulesJCheckBoxMenuItem().addItemListener(ivjEventHandler);
	getDefaultPoliciesJCheckBoxMenuItem().addItemListener(ivjEventHandler);
	getJMenuItemDisplayAllWindows().addActionListener(ivjEventHandler);
	getJMenuItemDisplayZeroWindow().addActionListener(ivjEventHandler);
	getInputServicesJFrame().addWindowListener(ivjEventHandler);
	getDefaultPoliciesJFrame().addWindowListener(ivjEventHandler);
	getForwardServicesJFrame().addWindowListener(ivjEventHandler);
	getOutputServicesJFrame().addWindowListener(ivjEventHandler);
	getMiscRulesJFrame().addWindowListener(ivjEventHandler);
	getMasqModulesJCheckBoxMenuItem().addItemListener(ivjEventHandler);
	getMasqModulesJFrame().addWindowListener(ivjEventHandler);
	getPortForwardingJFrame().addWindowListener(ivjEventHandler);
	getPortForwardingJCheckBoxMenuItem().addItemListener(ivjEventHandler);
	getnewPortForwardRuleJMenuItem().addActionListener(ivjEventHandler);
}
/**
 * Initialize the class.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initialize() {
	try {
		// user code begin {1}
		try
		{
			resJFwadmin = java.util.ResourceBundle.getBundle("JFwadmin");
		}
		catch(Exception e)
		{
			System.out.println("Missing properties file 'JFwadmin.properties'. Exiting.");
			System.exit(1);
		}
		m_font = new Font("courier", Font.ITALIC, 12);
		// user code end
		setName("Fwadmin");
		setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
		setJMenuBar(getFwadminJMenuBar());
		setResizable(false);
		setSize(459, 110);
		setTitle("JFwadmin");
		setContentPane(getJFrameContentPane());
		initConnections();
	} catch (java.lang.Throwable ivjExc) {
		handleException(ivjExc);
	}
	// user code begin {2}
	setTitle(getApplicationName() + " " + getApplicationVersion());
	// user code end
}
/**
 * Comment
 */
public void inputDefaultToAccept_ActionEvents()
{
	DefaultPolicy.setInputDefaultPolicy(DefaultPolicy.firewallAcceptPolicy);

	JFwadmin.getInstance().refreshPanels();
}
/**
 * Comment
 */
public void inputDefaultToDeny_ActionEvents()
{
	DefaultPolicy.setInputDefaultPolicy(DefaultPolicy.firewallDenyPolicy);

	JFwadmin.getInstance().refreshPanels();
}
/**
 * Comment
 */
public void inputServicesJCheckBox_ItemStateChanged(java.awt.event.ItemEvent itemEvent)
{
	getInputServicesJFrame().setVisible(getInputServicesJCheckBox().isSelected());
}
/**
 * Comment
 */
public void inputServicesJFrame_WindowClosing(java.awt.event.WindowEvent windowEvent)
{
	JFwadmin.getInstance().getInputServicesJCheckBox().setSelected(false);
}
/**
 * Comment
 */
public void jMenuItemDisplayAllWindows_ActionPerformed(java.awt.event.ActionEvent actionEvent)
{
	getDefaultPoliciesJCheckBoxMenuItem().setSelected(true);
	getInputServicesJCheckBox().setSelected(true);
	getOutputServicesJCheckBox().setSelected(true);
	getForwardServicesJCheckBox().setSelected(true);
	getMiscRulesJCheckBoxMenuItem().setSelected(true);
	getMasqModulesJCheckBoxMenuItem().setSelected(true);
	if (getPortForwardingJCheckBoxMenuItem().isEnabled()) getPortForwardingJCheckBoxMenuItem().setSelected(true);
}
/**
 * Comment
 */
public void jMenuItemDisplayZeroWindow_ActionPerformed(java.awt.event.ActionEvent actionEvent)
{
	getDefaultPoliciesJCheckBoxMenuItem().setSelected(false);
	getInputServicesJCheckBox().setSelected(false);
	getOutputServicesJCheckBox().setSelected(false);
	getForwardServicesJCheckBox().setSelected(false);
	getMiscRulesJCheckBoxMenuItem().setSelected(false);
	getMasqModulesJCheckBoxMenuItem().setSelected(false);
	if (getPortForwardingJCheckBoxMenuItem().isEnabled()) getPortForwardingJCheckBoxMenuItem().setSelected(false);
}
/**
 * Starts the application.
 * @param args an array of command-line arguments
 */
public static void main(java.lang.String[] args) {
	try {
		/* Set native look and feel */
		//UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		UIManager.setLookAndFeel("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
		/* Create the frame */
		JFwadmin.getInstance();

		/* Calculate the screen size */
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();

		/* Create the splash screen */
		JFwadminSplashScreen aFwadminSplashScreen = new JFwadminSplashScreen();
		aFwadminSplashScreen.pack();

		/* Center splash screen */
		Dimension splashScreenSize = aFwadminSplashScreen.getSize();
		if (splashScreenSize.height > screenSize.height)
				splashScreenSize.height = screenSize.height;
		if (splashScreenSize.width > screenSize.width)
				splashScreenSize.width = screenSize.width;
		aFwadminSplashScreen.setLocation((screenSize.width - splashScreenSize.width) / 2, (screenSize.height - splashScreenSize.height) / 2);
		aFwadminSplashScreen.setVisible(true);
		try {;
				Thread.sleep(1500);
		} catch (InterruptedException ie) {};

		/* Pack frame on the screen */
		JFwadmin.getInstance().pack();

		/* Center frame on the screen */
		/*
		Dimension frameSize = JFwadmin.getInstance().getSize();
		if (frameSize.height > screenSize.height)
				frameSize.height = screenSize.height;
		if (frameSize.width > screenSize.width)
				frameSize.width = screenSize.width;
		JFwadmin.getInstance().setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
		*/
		JFwadmin.getInstance().setLocation(80, 0);		

		/* Add a windowListener for the windowClosedEvent */
		JFwadmin.getInstance().addWindowListener(new java.awt.event.WindowAdapter() {
			public void windowClosed(java.awt.event.WindowEvent e) {
				System.exit(0);
			}
			public void windowClosing(WindowEvent e) {
		  		if (getInstance().changesAreNotApplied())
		  		{
					int res = JOptionPane.showConfirmDialog(getInstance(), "Unapplied rules will be lost (you have some). Do you want to apply before exit ?", "Warning", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
					if (res == JOptionPane.YES_OPTION)
					{
						try
						{
						  Linux22.applyConfiguration();
						}
						catch(Exception e3)
						{
						  JOptionPane.showMessageDialog(getInstance(), "There was an error", "Error", JOptionPane.ERROR_MESSAGE);
						}
						getInstance().makeChangesApplied();
					}
		  		}
						
		  		getInstance().dispose();
		  		System.exit(0);
		};});

		Linux22.readNetConfig();
	  	Linux22.readFirewallRules();
	  	Linux22.readMasqModules();
	  	Linux22.readPortForwarding();
	  	Service.initServices();

		aFwadminSplashScreen.dispose();
	  	(new SystemDialog(JFwadmin.getInstance(), "JFwadmin : IP configuration", true)).setVisible(true);
		JFwadmin.getInstance().setVisible(true);

		JFwadmin.getInstance().makePanels();
	  	JFwadmin.getInstance().refreshPanels();
		JFwadmin.getInstance().setVisible(true);
		JFwadmin.getInstance().getDefaultPoliciesJCheckBoxMenuItem().setSelected(true);
		JFwadmin.getInstance().getInputServicesJCheckBox().setSelected(true);
		JFwadmin.getInstance().getOutputServicesJCheckBox().setSelected(true);
		if (ForwardRule.forwardRulesVector.size() > 0) JFwadmin.getInstance().getForwardServicesJCheckBox().setSelected(true);
		if (InputOutputRule.miscRulesVector.size() > 0) JFwadmin.getInstance().getMiscRulesJCheckBoxMenuItem().setSelected(true);
		
	} catch (Throwable exception) {
		System.err.println("Exception occurred in main() of JFwadmin");
		exception.printStackTrace(System.out);
	}
}
public void makeChangesApplied()
{
  DefaultPolicy.defaultInputNotApplied = false;
  DefaultPolicy.defaultOutputNotApplied = false;
  DefaultPolicy.defaultForwardNotApplied = false;

  InputRule.makeChangesApplied();
  OutputRule.makeChangesApplied();
  InputOutputRule.makeChangesApplied();
  ForwardRule.makeChangesApplied();
  MasqModule.makeChangesApplied();
  PortForwardRule.makeChangesApplied();
}
public void makePanels()
{
  InputServicesPanel isp = new InputServicesPanel();
  getInputServicesJFrame().getContentPane().add("Center", isp);
  updateWindowVector.addElement(isp);

  OutputServicesPanel osp = new OutputServicesPanel();
  getOutputServicesJFrame().getContentPane().add("Center", osp);
  updateWindowVector.addElement(osp);

  ForwardServicesPanel fsp = new ForwardServicesPanel();
  getForwardServicesJFrame().getContentPane().add("Center", fsp);
  updateWindowVector.addElement(fsp);

  MiscRulesPanel mrp = new MiscRulesPanel();
  getMiscRulesJFrame().getContentPane().add("Center", mrp);
  updateWindowVector.addElement(mrp);

  DefaultPoliciesPanel dpp = new DefaultPoliciesPanel();
  getDefaultPoliciesJFrame().getContentPane().add("Center", dpp);
  updateWindowVector.addElement(dpp);
  
  MasqModulesPanel mmp = new MasqModulesPanel();
  getMasqModulesJFrame().getContentPane().add("Center", mmp);
  updateWindowVector.addElement(mmp);

  PortForwardRulesPanel pfp = new PortForwardRulesPanel();
  getPortForwardingJFrame().getContentPane().add("Center", pfp);
  updateWindowVector.addElement(pfp);
}
/**
 * Comment
 */
public void masqModulesJCheckBoxMenuItem_ItemStateChanged(java.awt.event.ItemEvent itemEvent)
{
	getMasqModulesJFrame().setVisible(getMasqModulesJCheckBoxMenuItem().isSelected());
}
/**
 * Comment
 */
public void masqModulesJFrame_WindowClosing(java.awt.event.WindowEvent windowEvent)
{
	JFwadmin.getInstance().getMasqModulesJCheckBoxMenuItem().setSelected(false);
}
/**
 * Comment
 */
public void miscRulesJCheckBoxMenuItem_ItemStateChanged(java.awt.event.ItemEvent itemEvent)
{
	getMiscRulesJFrame().setVisible(getMiscRulesJCheckBoxMenuItem().isSelected());
}
/**
 * Comment
 */
public void miscRulesJFrame_WindowClosing(java.awt.event.WindowEvent windowEvent)
{
	JFwadmin.getInstance().getMiscRulesJCheckBoxMenuItem().setSelected(false);
}
/**
 * Comment
 */
public void new_anti_spoofing_serviceMenuItem_ActionEvents()
{
	if (m_AddAntiSpoofingServiceDialog == null) m_AddAntiSpoofingServiceDialog = new AddAntiSpoofingServiceDialog(this, "Add anti spoofing service", true);
	m_AddAntiSpoofingServiceDialog.resetOK();
	m_AddAntiSpoofingServiceDialog.setVisible(true);
	if (m_AddAntiSpoofingServiceDialog.getOK() == true)
	{
	  refreshPanels();
	}
}
/**
 * Comment
 */
public void new_forward_serviceMenuItem_ActionEvents()
{
	if (m_AddForwardServiceDialog == null) m_AddForwardServiceDialog = new AddForwardServiceDialog(this, "Add forward service", true);
	m_AddForwardServiceDialog.resetOK();
	m_AddForwardServiceDialog.setVisible(true);
	if (m_AddForwardServiceDialog.getOK() == true)
	{
	  refreshPanels();
	}
}
/**
 * Comment
 */
public void new_input_serviceMenuItem_ActionEvents()
{
	if (m_AddInputServiceDialog == null) m_AddInputServiceDialog = new AddInputServiceDialog(this, "Add input service", true);
	m_AddInputServiceDialog.resetOK();
	m_AddInputServiceDialog.setVisible(true);
	if (m_AddInputServiceDialog.getOK() == true)
	{
	  refreshPanels();
	}
}
/**
 * Comment
 */
public void new_log_denied_packets_serviceMenuItem_ActionPerformed(java.awt.event.ActionEvent actionEvent)
{
	if (m_AddLogDeniedPacketsServiceDialog == null) m_AddLogDeniedPacketsServiceDialog = new AddLogDeniedPacketsServiceDialog(this, "Add log of denied packets service", true);
	m_AddLogDeniedPacketsServiceDialog.resetOK();
	m_AddLogDeniedPacketsServiceDialog.setVisible(true);
	if (m_AddLogDeniedPacketsServiceDialog.getOK() == true)
	{
	  refreshPanels();
	}
}
/**
 * Comment
 */
public void new_output_serviceMenuItem_ActionEvents()
{
	if (m_AddOutputServiceDialog == null) m_AddOutputServiceDialog = new AddOutputServiceDialog(this, "Add output service", true);
	m_AddOutputServiceDialog.resetOK();
	m_AddOutputServiceDialog.setVisible(true);
	if (m_AddOutputServiceDialog.getOK() == true)
	{
	  refreshPanels();
	}
}
/**
 * Comment
 */
public void newPortForwardRuleJMenuItem_ActionPerformed(java.awt.event.ActionEvent actionEvent)
{
	if (m_AddPortForwardingRuleDialog == null) m_AddPortForwardingRuleDialog = new AddPortForwardingRuleDialog(this, "Add port forwarding rule", true);
	m_AddPortForwardingRuleDialog.resetOK();
	m_AddPortForwardingRuleDialog.setVisible(true);
	if (m_AddPortForwardingRuleDialog.getOK() == true)
	{
	  refreshPanels();
	}
}
/**
 * Comment
 */
public void outputDefaultToAccept_ActionEvents()
{
	DefaultPolicy.setOutputDefaultPolicy(DefaultPolicy.firewallAcceptPolicy);

	JFwadmin.getInstance().refreshPanels();
}
/**
 * Comment
 */
public void outputDefaultToDeny_ActionEvents()
{
	DefaultPolicy.setOutputDefaultPolicy(DefaultPolicy.firewallDenyPolicy);

	JFwadmin.getInstance().refreshPanels();
}
/**
 * Comment
 */
public void outputServicesJCheckBox_ItemStateChanged(java.awt.event.ItemEvent itemEvent) 
{
	getOutputServicesJFrame().setVisible(getOutputServicesJCheckBox().isSelected());
}
/**
 * Comment
 */
public void outputServicesJFrame_WindowClosing(java.awt.event.WindowEvent windowEvent)
{
	JFwadmin.getInstance().getOutputServicesJCheckBox().setSelected(false);
}
/**
 * Comment
 */
public void portForwardingJCheckBoxMenuItem_ItemStateChanged(java.awt.event.ItemEvent itemEvent)
{
	getPortForwardingJFrame().setVisible(getPortForwardingJCheckBoxMenuItem().isSelected());
}
/**
 * Comment
 */
public void portForwardingJFrame_WindowClosing(java.awt.event.WindowEvent windowEvent)
{
	JFwadmin.getInstance().getPortForwardingJCheckBoxMenuItem().setSelected(false);
}
/**
 * Comment
 */
public void refresh_data_from_systemMenuItem_ActionEvents()
{
	if (changesAreNotApplied())
	{
	  int res = JOptionPane.showConfirmDialog(this, "Unapplied rules will be lost (you have some). Do you want to continue ?", "Warning", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
	  if (res == JOptionPane.NO_OPTION) return;
	}
	refreshDataFromSystem();
}
public void refreshDataFromSystem()
{
  InputService.inputServicesVector.removeAllElements();
  OutputService.outputServicesVector.removeAllElements();
  InputRule.inputRulesVector.removeAllElements();
  OutputRule.outputRulesVector.removeAllElements();
  InputOutputRule.miscRulesVector.removeAllElements();
  ForwardRule.forwardRulesVector.removeAllElements();
  MasqModule.masqModulesVector.removeAllElements();
  PortForwardRule.portForwardRulesVector.removeAllElements();

  Linux22.readFirewallRules();
  Linux22.readMasqModules();
  Linux22.readPortForwarding();
  Service.initServices();
  makeChangesApplied();
  refreshPanels();
}
public void refreshPanels()
{
  for (int i=0; i < updateWindowVector.size(); i++)
  {
	((UpdateWindow)updateWindowVector.elementAt(i)).updateWindow();
  }
  if (changesAreNotApplied())
  {
	statusMessage(Color.red.darker(), "Changes you made are not applied");
  }
  else
  {
	statusMessage(Color.green.darker().darker().darker(), "Current configuration is displayed");
  }
  statusHost("localhost");
}
/**
 * Comment
 */
public void reset_firewall_to_ACCEPTMenuItem_ActionEvents()
{
	int res = JOptionPane.showConfirmDialog(JFwadmin.getInstance(), "Please confirm Firewall reset to ACCEPT.", "Continue ?", JOptionPane.OK_CANCEL_OPTION, JOptionPane.INFORMATION_MESSAGE);
	if (res == JOptionPane.CANCEL_OPTION) return;
	DefaultPolicy.setInputDefaultPolicy(DefaultPolicy.firewallAcceptPolicy);
	DefaultPolicy.setOutputDefaultPolicy(DefaultPolicy.firewallAcceptPolicy);
	DefaultPolicy.setForwardDefaultPolicy(DefaultPolicy.firewallAcceptPolicy);

	InputService.reset();
	OutputService.reset();
	InputRule.reset();
	OutputRule.reset();
	ForwardRule.reset();
	InputOutputRule.reset();
	MasqModule.reset();
	PortForwardRule.reset();
	
	JFwadmin.getInstance().refreshPanels();
}
/**
 * Comment
 */
public void reset_firewall_to_DENYMenuItem_ActionEvents()
{
	int res = JOptionPane.showConfirmDialog(JFwadmin.getInstance(), "Please confirm Firewall reset to DENY. All connections will be lost when you apply !", "Continue ?", JOptionPane.OK_CANCEL_OPTION, JOptionPane.INFORMATION_MESSAGE);
	if (res == JOptionPane.CANCEL_OPTION) return;
	DefaultPolicy.setInputDefaultPolicy(DefaultPolicy.firewallDenyPolicy);
	DefaultPolicy.setOutputDefaultPolicy(DefaultPolicy.firewallDenyPolicy);
	DefaultPolicy.setForwardDefaultPolicy(DefaultPolicy.firewallDenyPolicy);

	InputService.reset();
	OutputService.reset();
	InputRule.reset();
	OutputRule.reset();
	ForwardRule.reset();
	InputOutputRule.reset();
	MasqModule.reset();
	PortForwardRule.reset();

	JFwadmin.getInstance().refreshPanels();
}
/**
 * Comment
 */
public void restore_firewallMenuItem_ActionEvents()
{
	if (changesAreNotApplied())
	{
	  int res = JOptionPane.showConfirmDialog(this, "Unapplied rules will be lost (you have some). Do you really want to continue ?", "Warning", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
	  if (res == JOptionPane.NO_OPTION) return;
	}
	    JFileChooser chooser = new JFileChooser();
	    chooser.setDialogType(chooser.OPEN_DIALOG);
	    chooser.setDialogTitle("Restore a firewall");
	    int retval = chooser.showOpenDialog(this);
	    if(retval == 0)
	{
		    File theFile = chooser.getSelectedFile();
		    if(theFile != null)
	  {
		restoreFirewall(chooser);
	  }
	}
	int res = JOptionPane.showConfirmDialog(this, "Do you want to refresh data from system now ?", "Question - hint : say yes :)", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
	if (res == JOptionPane.NO_OPTION) return;
	refreshDataFromSystem();
}
public void restoreFirewall(JFileChooser chooser)
{
  try
  {
	  Linux22.restoreFirewall(chooser);
  }
  catch(Exception error)
  {
	JOptionPane.showMessageDialog(this, "There was an error", "Error", JOptionPane.ERROR_MESSAGE);
  }
}
/**
 * Comment
 */
public void save_boot_scriptMenuItem_ActionEvents()
{
	if (changesAreNotApplied())
	{
	  int res = JOptionPane.showConfirmDialog(this, "Unapplied rules will be written to boot file. Do you want to continue ?", "Warning", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
	  if (res == JOptionPane.NO_OPTION) return;
	}
	    JFileChooser chooser = new JFileChooser();
	    chooser.setDialogType(chooser.SAVE_DIALOG);
	    chooser.setDialogTitle("Save boot script");
	    int retval = chooser.showOpenDialog(this);
	    if(retval == 0)
	{
		    File theFile = chooser.getSelectedFile();
		    if(theFile != null)
	  {
		try
		{
		  PrintWriter pw = new PrintWriter(new FileWriter(chooser.getSelectedFile().getAbsolutePath()));
		  Linux22.saveBootScript(pw);
		}
		catch(Exception e2)
		{
		  JOptionPane.showMessageDialog(this, "There was an error", "Error", JOptionPane.ERROR_MESSAGE);
		}
	  }
	}
}
/**
 * Comment
 */
public void save_firewallMenuItem_ActionEvents()
{
	if (changesAreNotApplied())
	{
	  int res = JOptionPane.showConfirmDialog(this, "Unapplied rules will not be saved (you have some). Do you want to continue ?", "Warning", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE);
	  if (res == JOptionPane.NO_OPTION) return;
	}
	    JFileChooser chooser = new JFileChooser();
	    chooser.setDialogType(chooser.SAVE_DIALOG);
	    chooser.setDialogTitle("Save firewall");
	    int retval = chooser.showOpenDialog(this);
	    if(retval == 0)
	{
		    File theFile = chooser.getSelectedFile();
		    if(theFile != null)
	  {
		saveFirewall(chooser);
	  }
	}
}
public void saveFirewall(JFileChooser chooser)
{
  try
  {
	  Linux22.saveFirewall(chooser);
  }
  catch(Exception error)
  {
	JOptionPane.showMessageDialog(this, "There was an error", "Error", JOptionPane.ERROR_MESSAGE);
  }
}
public void showAboutBox() {
	/* Create the AboutBox dialog */
	JFwadminAboutBox aFwadminAboutBox = new JFwadminAboutBox();
	Dimension dialogSize = aFwadminAboutBox.getPreferredSize();
	Dimension frameSize = getSize();
	Point loc = getLocation();
	aFwadminAboutBox.setLocation((frameSize.width - dialogSize.width) / 2 + loc.x, (frameSize.height - dialogSize.height) / 2 + loc.y);
	aFwadminAboutBox.setModal(true);
	aFwadminAboutBox.show();
}
public void statusHost(String txt)
{
  getStatusMsg1().setText(txt);
  getStatusMsg1().repaint();
}
public void statusMessage(Color c, String txt)
{
  getStatusMsg2().setForeground(c);
  getStatusMsg2().setText(txt);
  getStatusMsg2().repaint();
}
}
