package fwadmin;

/*

  JFwadmin v 0.8

  Copyright (C) 1999-2000 Mickael Feledyn
  		     mickael.feledyn@cybergal.com

  This application is free software; you can redistribute it and/or
  modify it under the terms of the GNU Genereal Public License as
  published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  This application is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

*/


import java.util.Vector;
 
public class MasqModule
{
	static	Vector masqModulesVector = new Vector();
	public String mstr_name;
	public boolean mb_enabled;
	public boolean mb_systemEnabled = false;
/**
 * MasqModules constructor comment.
 */
public MasqModule(String name, boolean enabled)
{
	mstr_name = name;
	mb_enabled = enabled;
}
/**
 * Insert the method's description here.
 * Creation date: (24/02/00 02:23:15)
 * @return boolean
 */
public static boolean changesAreNotApplied()
{
	for (int i=0; i < masqModulesVector.size(); i++)
	{
		MasqModule mm = (MasqModule) masqModulesVector.elementAt(i);
		if (mm.mb_enabled != mm.mb_systemEnabled) return true;
	}
	return false;
}
public static MasqModule getMasqModule(String name)
{
	for (int i=0; i < masqModulesVector.size(); i++)
	{
		MasqModule mm = (MasqModule) masqModulesVector.elementAt(i);
		if (name.equals(mm.mstr_name)) return mm;
	}
	return null;
}
public static void makeChangesApplied()
{
  for (int i=0; i < masqModulesVector.size(); i++)
  {
	  MasqModule mm = (MasqModule)masqModulesVector.elementAt(i);
	  mm.mb_systemEnabled = mm.mb_enabled;
  }
}
public static void reset()
{
	for (int i=0; i < masqModulesVector.size(); i++)
	{
	  ((MasqModule)masqModulesVector.elementAt(i)).mb_enabled = false;
	}
}
/**
 * Insert the method's description here.
 * Creation date: (2/23/00 6:06:16 PM)
 * @return java.lang.String
 */
public String toString()
{
	return "MASQMOD : NAME[" + mstr_name + "] ENABLED[" + mb_enabled + "]";
}
}
